*by Jean Roth Thu Mar 17 2005 14:38:42
*Please report errors to jroth@nber.org

* Note:  Variable names in Stata are case-sensitive
#delimit ;
;
*  minsamp:  1979-;
label values minsamp    P2L;
label define P2L
        4           "MIS 4"
        8           "MIS 8"
;
* hrlonglk:  1994-; 
label values hrlonglk P3L;
label define P3L
        0           "MIS 1 Or Replacement HH (no"
        2           "MIS 2-4 Or MIS 6-8 (link To"
;
* intmonth:  1979-;
label values intmonth  P4L;
label define P4L
        1           "January"
        2           "February"
        3           "March"
        4           "April"
        5           "May"
        6           "June"
        7           "July"
        8           "August"
        9           "September"
        10          "October"
        11          "November"
        12          "December"
;
* stfips:  1989-;
label values stfips stfips;
label define stfips
	1           "AL"                                      
	2           "AK"                                      
	4           "AZ"                                      
	5           "AR"                                      
	6           "CA"                                      
	8           "CO"                                      
	9           "CT"                                      
	10          "DE"                                      
	11          "DC"                                      
	12          "FL"                                      
	13          "GA"                                      
	15          "HI"                                      
	16          "ID"                                      
	17          "IL"                                      
	18          "IN"                                      
	19          "IA"                                      
	20          "KS"                                      
	21          "KY"                                      
	22          "LA"                                      
	23          "ME"                                      
	24          "MD"                                      
	25          "MA"                                      
	26          "MI"                                      
	27          "MN"                                      
	28          "MS"                                      
	29          "MO"                                      
	30          "MT"                                      
	31          "NE"                                      
	32          "NV"                                      
	33          "NH"                                      
	34          "NJ"                                      
	35          "NM"                                      
	36          "NY"                                      
	37          "NC"                                      
	38          "ND"                                      
	39          "OH"                                      
	40          "OK"                                      
	41          "OR"                                      
	42          "PA"                                      
	44          "RI"                                      
	45          "SC"                                      
	46          "SD"                                      
	47          "TN"                                      
	48          "TX"                                      
	49          "UT"                                      
	50          "VT"                                      
	51          "VA"                                      
	53          "WA"                                      
	54          "WV"                                      
	55          "WI"                                      
	56          "WY"                                      
;
* state:  1979-;
label values state    P27L;   
label define P27L    
	11          "ME"                            
	12          "NH"                            
	13          "VT"                            
	14          "MA"                            
	15          "RI"                            
	16          "CT"                            
	21          "NY"                            
	22          "NJ"                            
	23          "PA"                            
	31          "OH"                            
	32          "IN"                            
	33          "IL"                            
	34          "MI"                            
	35          "WI"                            
	41          "MN"                            
	42          "IA"                            
	43          "MO"                            
	44          "ND"                            
	45          "SD"                            
;
* penatvty:  2007-;
label values penatvty penatvty;   
label define penatvty    
	57          "United States"                 
	60          "American Samoa"                
	66          "Guam"                          
	73          "Puerto Rico"                   
	78          "U.S. Virgin Islands"           
	96          "U.S. Outlying Area"           
        100         "Albania"
	102         "Austria"                       
	103         "Belgium"                       
        104         "Bulgaria"
	105         "Czechoslovakia"                
	106         "Denmark"                       
	108         "Finland"                       
	109         "France"                        
	110         "Germany"                       
	116         "Greece"                        
	117         "Hungary"                       
	119         "Ireland/Eire"                  
	120         "Italy"                         
	126         "Holland/Netherlands"           
	127         "Norway"                        
	128         "Poland"                        
	129         "Portugal"                      
	130         "Azores"                        
	132         "Romania"                       
	134         "Spain"                         
	136         "Sweden"                        
	137         "Switzerland"                   
	138         "United Kingdom/Great Britain"                 
	139         "England"                       
	140         "Scotland"                      
        141         "Wales"
	142         "Northern Ireland"              
	147         "Yugoslavia"                    
	148         "Czech Republic"                        
        149         "Slovakia"
        150         "Bosnia & Herzegovina"
        151         "Croatia"
        152         "Macedonia"
        154         "Serbia"
	156         "Latvia"      
        157         "Lithuania"
	158         "Armenia"                       
        159         "Azerbaijan"
        160         "Belarus"
        161         "Georgia"
        162         "Moldova"
	163         "Russia"                        
	164         "Ukraine"                       
	165         "USSR"                          
        166         "Europe, not specified"
        167         "Kosovo"
	200         "Afghanistan"                   
	202         "Bangladesh"                    
	205         "Myanmar (Burma)"               
	206         "Cambodia"                      
	207         "China"                         
        208         "Cyprus"
	209         "Hong Kong"                     
	210         "India"                         
	211         "Indonesia"                     
	212         "Iran"                          
	213         "Iraq"                          
	214         "Israel"                        
	215         "Japan"                         
	216         "Jordan"                        
	217         "Korea"             
	220         "South Korea"            
        222         "Kuwait"
	223         "Laos"                          
	224         "Lebanon"                       
	226         "Malaysia"                      
        229         "Nepal"
	231         "Pakistan"                      
	233         "Philippines"                   
	235         "Saudi Arabia"                  
	236         "Singapore"                     
        238         "Sri Lanka"
	239         "Syria"                         
	240         "Taiwan"                        
	242         "Thailand"                      
	243         "Turkey"                        
        246         "Uzbekistan"
	247         "Vietnam"                       
        248         "Yemen"
        249         "Asia, not specified"
	300         "Bermuda"                       
	301         "Canada"                        
	303         "Mexico"                        
	310         "Belize"                        
	311         "Costa Rica"                    
	312         "El Salvador"                   
	313         "Guatemala"                     
	314         "Honduras"                      
	315         "Nicaragua"                     
	316         "Panama"                        
	318         "Central America"               
        321         "Antigua and Barbuda"
	323         "Bahamas"                       
	324         "Barbados"                      
	327         "Cuba"                          
	328         "Dominica"                      
	329         "Dominican Republic"            
	330         "Grenada"            
	332         "Haiti"                         
	333         "Jamaica"                       
        338         "St. Kitts-Nevis"
        339         "St. Lucia"
        340         "St. Vincent and the Grenadines"
        341         "Trinidad and Tobago"
        343         "West Indes, not specified"
	360         "Argentina"                     
	361         "Bolivia"                       
	362         "Brazil"                        
	363         "Chile"                         
	364         "Colombia"                      
	365         "Ecuador"                       
	368         "Guyana"                        
	369         "Paraguay"  
        370         "Peru"
	372         "Uruguay"                       
	373         "Venezuela"                     
	374         "South America, not specified" 
        399         "Americas, not specified"
        400         "Algeria" 
        407         "Cameroon"
        408         "Cape Verde"
	414         "Egypt"                         
	416         "Ethiopia"                      
        417         "Eritrea"
	421         "Ghana"                         
	427         "Kenya"                         
        429         "Liberia"
	436         "Morocco"                       
	440         "Nigeria"                       
        444         "Senegal"
        447         "Sierra Leone"
        448         "Somalia"
	449         "South Africa"                  
        451         "Sudan"
        453         "Tanzania"
        457         "Uganda"
        461         "Zimbabwe"
	462         "Africa, not specified"          
	501         "Australia"                     
	508         "Fiji"                          
	515         "New Zealand"                   
        523         "Tonga"
        527         "Samoa"
        528         "Oceania, not specified"
	555         "Elsewhere"
;
* pemntvty:  2007-;
label values pemntvty penatvty;   
* pefntvty:  2007-;
label values pefntvty penatvty;   
* prcitshp:  1994-;
label values prcitshp P16L;
label define P16L
        1           "Native, Born In US"
        2           "Native, Born in PR or US Outlying Area"
        3           "Native, Born Abroad Of US Parent(s)"
        4           "Foreign Born, US Cit By Naturalization"
        5           "Foreign Born, Not a US Citizen"
;
* prcitflg:  1994-;
label values prcitflg P34L;   
label define P34L    
	0           "Value - No Change"             
	1           "Blank - No Change"             
	2           "Don't Know - No Change"        
	3           "Refused - No Change"           
	10          "Value To Value"                
	11          "Blank To Value"                
	12          "Don't Know To Value"           
	13          "Refused To Value"              
	20          "Value To Longitudinal Value"   
	21          "Blank To Longitudinal Value"   
	22          "Don't Know To Longitudinal Value"
	23          "Refused To Longitudinal Value" 
	30          "Value to Allocated Value Long."
	31          "Blank to Allocated Value Long."
	32          "Don't Know to Allocated Value Long."
	33          "Refused to Allocated Value Long."
	40          "Value To Allocated Value"      
	41          "Blank To Allocated Value"      
	42          "Don't Know To Allocated Value" 
	43          "Refused To Allocated Value"    
	50          "Value To Blank"                
	52          "Don't Know To Blank"           
	53          "Refused To Blank"              
;
* meanings of last few codes of peinusyr change every year!!!;
* peinusyr:  2003-;
label values peinusyr P17L;
label define P17L
        -1          "Not In Universe (Born In U.S.)"
        0           "Not Foreign Born"
        1           "Before 1950"
        2           "1950-1959"
        3           "1960-1964"
        4           "1965-1969"
        5           "1970-1974"
        6           "1975-1979"
        7           "1980-1981"
        8           "1982-1983"
        9           "1984-1985"
        10          "1986-1987"
        11          "1988-1989"
        12          "1990-1991"
        13          "1992-1995"
        14          "1994-1995"
        15          "1996-1997" 
        16          "1998-1999" 
	   17	     "2000-2001"
        18	     "2002-2003"
        19	     "2004-2005"
        20          "2006-2007"
        21          "2008-2009"
        22          "2010-2012"
;
* paidhre:  1979-;
label values paidhre    P18L;
label define P18L
        1           "Yes"
        2           "No"
;
* I25a:  1979-;
label values I25a P28L;   
label define P28L    
	0           "Value - No Change"             
	1           "Blank - No Change"             
	2           "Don't Know - No Change"        
	3           "Refused - No Change"           
	10          "Value To Value"                
	11          "Blank To Value"                
	12          "Don't Know To Value"           
	13          "Refused To Value"              
	20          "Value To Longitudinal Value"   
	21          "Blank To Longitudinal Value"   
	22          "Don't Know To Longitudinal Value"
	23          "Refused To Longitudinal Value" 
	30          "Value to Allocated Value Long."
	31          "Blank to Allocated Value Long."
	32          "Don't Know to Allocated Value Long."
	33          "Refused to Allocated Value Long."
	40          "Value To Allocated Value"      
	41          "Blank To Allocated Value"      
	42          "Don't Know To Allocated Value" 
	43          "Refused To Allocated Value"    
	50          "Value To Blank"                
	52          "Don't Know To Blank"           
	53          "Refused To Blank"              
;
* I25b:  1979-;
label values I25b P29L;   
label define P29L    
	0           "Value - No Change"             
	1           "Blank - No Change"             
	2           "Don't Know - No Change"        
	3           "Refused - No Change"           
	10          "Value To Value"                
	11          "Blank To Value"                
	12          "Don't Know To Value"           
	13          "Refused To Value"              
	20          "Value To Longitudinal Value"   
	21          "Blank To Longitudinal Value"   
	22          "Don't Know To Longitudinal Value"
	23          "Refused To Longitudinal Value" 
	30          "Value to Allocated Value Long."
	31          "Blank to Allocated Value Long."
	32          "Don't Know to Allocated Value Long."
	33          "Refused to Allocated Value Long."
	40          "Value To Allocated Value"      
	41          "Blank To Allocated Value"      
	42          "Don't Know To Allocated Value" 
	43          "Refused To Allocated Value"    
	50          "Value To Blank"                
	52          "Don't Know To Blank"           
	53          "Refused To Blank"              
;
* I25c:  1996-;
label values I25c I25c;
label define I25c
        0           "No Components Allocated"
        1           "1 or more components Allocated"
;
* I25d:  1996-;
label values I25d I25d;
label define I25d
        0           "No Components Allocated"
        1           "1 or more components Allocated"
;
* class94:  1994-;
label values class94 P19L;
label define P19L
        1           "Government - Federal"
        2           "Government - State"
        3           "Government - Local"
        4           "Private, For Profit"
        5           "Private, Nonprofit"
        6           "Self-Employed, Incorporated"
        7           "Self-Employed, Unincorporated"
        8           "Without Pay"
;
* lfsr94:  1994-;
label values lfsr94    P20L;
label define P20L
        1           "Employed-At Work"
        2           "Employed-Absent"
        3           "Unemployed-On Layoff"
        4           "Unemployed-Looking"
        5           "Retired-Not In Labor Force"
        6           "Disabled-Not In Labor Force"
        7           "Other-Not In Labor Force"
;
* ind02:  2000-;
label values ind02    ind02;   
label define ind02    
        170         "Crop production (111)"         
	180         "Animal production (112)"       
	190         "Forestry except logging (1131, 1132)"
	270         "Logging (1133)"                
	280         "Fishing, hunting, and trapping (114)"
	290         "Support activities for agriculture and forestry (115)"
	370         "Oil and gas extraction (211)"  
	380         "Coal mining (2121)"            
	390         "Metal ore mining (2122)"       
	470         "Nonmetallic mineral mining and quarrying (2123)"
	480         "Not specified type of mining (Part of 21)"
	490         "Support activities for mining (213)"
	570         "Electric power generation, transmission and distribution (Pt. 2211)"
	580         "Natural gas distribution (Pt.s2212)"
	590         "Electric and gas, and other combinations (Pts. 2211, 2212)"
	670         "Water, steam, air-conditioning, and irrigation systems (22131, 22133)"
	680         "Sewage treatment facilities (22132)"
	690         "Not specified utilities (Part of 22)"
	770         "** Construction (23)"          
	1070        "Animal food, grain and oilseed milling (3111, 3112)"
	1080        "Sugar and confectionery products (3113)"
	1090        "Fruit and vegetable preserving and specialty food manufacturing (3114)"
	1170        "Dairy product manufacturing (3115)"
	1180        "Animal slaughtering and processing (3116)"
	1190        "Retail bakeries (311811)"      
	1270        "Bakeries, except retail (3118 exc. 311811)"
	1280        "Seafood and other miscellaneous foods, n.e.c. (3117, 3119)"
	1290        "Not specified food industries (Part of 311)"
	1370        "Beverage manufacturing (3121)" 
	1390        "Tobacco manufacturing (3122)"  
	1470        "Fiber, yarn, and thread mills (3131)"
	1480        "Fabric mills, except knitting (3132 exc. 31324)"
	1490        "Textile and fabric finishing and coating mills (3133)"
	1570        "Carpet and rug mills (31411)"  
	1590        "Textile product mills, except carpets and rugs (314 exc. 31411)"
	1670        "Knitting mills (31324, 3151)"  
	1680        "Cut and sew apparel manufacturing (3152)"
	1690        "Apparel accessories and other apparel manufacturing (3159)"
	1770        "Footwear manufacturing (3162)" 
	1790        "Leather tanning and products, except footwear manufacturing (3161, 3169)"
	1870        "Pulp, paper, and paperboard mills (3221)"
	1880        "Paperboard containers and boxes (32221)"
	1890        "Miscellaneous paper and pulp products (32222,32223, 32229)"
	1990        "Printing and related support activities (3231)"
	2070        "Petroleum refining (32411)"    
	2090        "Miscellaneous petroleum and coal products (32419)"
	2170        "Resin, synthetic rubber and fibers, and filaments manufacturing (3252)"
	2180        "Agricultural chemical manufacturing (3253)"
	2190        "Pharmaceutical and medicine manufacturing (3254)"
	2270        "Paint, coating, and adhesive manufacturing B46 (3255)"
	2280        "Soap, cleaning compound, and cosmetics manufacturing (3256)"
	2290        "Industrial and miscellaneous chemicals (3251, 3259)"
	2370        "Plastics product manufacturing (3261)"
	2380        "Tire manufacturing (32621)"    
	2390        "Rubber products, except tires, manufacturing (32622, 32629)"
	2470        "Pottery, ceramics, and related products manufacturing (32711)"
	2480        "Structural clay product manufacturing (32712)"
	2490        "Glass and glass product manufacturing (3272)"
	2570        "Cement, concrete, lime, and gypsum product manufacturing (3273, 3274)"
	2590        "Miscellaneous nonmetallic mineral product manufacturing (3279)"
	2670        "Iron and steel mills and steel product manufacturing (3311, 3312)"
	2680        "Aluminum production and processing (3313)"
	2690        "Nonferrous metal, except aluminum, production and processing (3314)"
	2770        "Foundries (3315)"              
	2780        "Metal forgings and stampings (3321)"
	2790        "Cutlery and hand tool manufacturing (3322)"
	2870        "Structural metals, and tank and shipping container manufacturing (3323, 3324)"
	2880        "Machine shops; turned product; screw, nut and bolt manufacturing (3327)"
	2890        "Coating, engraving, heat treating and allied activities (3328)"
	2970        "Ordnance (332992 to 332995)"   
	2980        "Miscellaneous fabricated metal products manufacturing (3325, 3326, 3329 exc. 332992, 332993, 332994, 332995)"
	2990        "Not specified metal industries (Part of 331 and 332)"
	3070        "Agricultural implement manufacturing (33311)"
	3080        "Construction, mining and oil field machinery manufacturing (33312, 33313)"
	3090        "Commercial and service industry machinery manufacturing (3333)"
	3170        "Metalworking machinery manufacturing (3335)"
	3180        "Engines, turbines, and power transmission equipment manufacturing (3336)"
	3190        "Machinery manufacturing, n.e.c. (3332, 3334, 3339)"
	3290        "Not specified machinery manufacturing (Part of 333)"
	3360        "Computer and peripheral equipment manufacturing (3341)"
	3370        "Communications, audio, and video equipment manufacturing (3342, 3343)"
	3380        "Navigational, measuring, electromedical, and control instruments manufacturing (3345)"
	3390        "Electronic component and product manufacturing, n.e.c. (3344, 3346)"
	3470        "Household appliance manufacturing (3352)"
	3490        "Electrical lighting, equipment, and supplies manufacturing, n.e.c. (3351, 3353, 3359)"
	3570        "Motor vehicles and motor vehicle equipment manufacturing (3361, 3362, 3363)"
	3580        "Aircraft and parts manufacturing (336411 to 336413)"
	3590        "Aerospace products and parts manufacturing (336414, 336415, 336419)"
	3670        "Railroad rolling stock manufacturing (3365)"
	3680        "Ship and boat building (3366)" 
	3690        "Other transportation equipment manufacturing (3369)"
	3770        "Sawmills and wood preservation (3211)"
	3780        "Veneer, plywood, and engineered wood products (3212)"
	3790        "Prefabricated wood buildings and mobile homes (321991, 321992)"
	3870        "Miscellaneous wood products (3219 exc. 321991, 321992)"
	3890        "Furniture and related product manufacturing (337)"
	3960        "Medical equipment and supplies manufacturing (3391)"
	3970        "Toys, amusement, and sporting goods manufacturing (33992, 33993)"
	3980        "Miscellaneous manufacturing, n.e.c. (3399 exc. 33992, 33993)"
	3990        "Not specified manufacturing industries (Part of 31, 32, 33)"
	4070        "** Motor vehicles, parts and supplies, merchant wholesalers (*4231)"
	4080        "** Furniture and home furnishing, merchant wholesalers (*4232)"
	4090        "** Lumber and other construction materials, merchant wholesalers (*4233)"
	4170        "** Professional and commercial equipment and supplies, merchant wholesalers (*4234)"
	4180        "** Metals and minerals, except petroleum, merchant wholesalers (*4235)"
	4190        "** Electrical goods, merchant wholesalers (*4236)"
	4260        "** Hardware, plumbing and heating equipment, and supplies, merchant wholesalers (*4237)"
	4270        "** Machinery, equipment, and supplies, merchant wholesalers (*4238)"
	4280        "** Recyclable material, merchant wholesalers (*42393)"
	4290        "** Miscellaneous durable goods, merchant wholesalers (*4239 exc. 42393)"
	4370        "** Paper and paper products, merchant wholesalers (*4241)"
	4380        "** Drugs, sundries, and chemical and allied products, merchant (wholesalerss*4242, 4246)"
	4390        "** Apparel, fabrics, and notions, merchant wholesalers (*4243)"
	4470        "** Groceries and related products, merchant wholesalers (*4244)"
	4480        "** Farm product raw materials, merchant wholesalers (*4245)"
	4490        "** Petroleum and petroleum products, merchant wholesalers (*4247)"
	4560        "** Alcoholic beverages, merchant wholesalers (*4248)"
	4570        "** Farm supplies, merchant wholesalers (*42491)"
	4580        "** Miscellaneous (nondurable goods, merchant wholesalerss*4249 exc. 42491)"
	4585        "*** Wholesale electronic markets, agents and brokers New industry (*4251)"
	4590        "**Not specified wholesale trade (Part of 42)"
	4670        "Automobile dealers (4411)"     
	4680        "Other motor vehicle dealers (4412)"
	4690        "Auto parts, accessories, and tire stores (4413)"
	4770        "Furniture and home furnishings stores (442)"
	4780        "Household appliance stores (443111)"
	4790        "Radio, TV, and computer stores (443112, 44312)"
	4870        "Building material and supplies dealers (4441 exc. 44413)"
	4880        "Hardware stores (44413)"       
	4890        "Lawn and garden equipment and supplies stores (4442)"
	4970        "Grocery stores (4451)"         
	4980        "Specialty food stores (4452)"  
	4990        "Beer, wine, and liquor stores (4453)"
	5070        "Pharmacies and drug stores (44611)"
	5080        "Health and personal care, except drug, stores (446 exc. 44611)"
	5090        "Gasoline stations (447)"       
	5170        "Clothing and accessories, except shoe, stores (448 exc. 44821, 4483)"
	5180        "Shoe stores (44821)"           
	5190        "Jewelry, luggage, and leather goods stores (4483)"
	5270        "Sporting goods, camera, and hobby and toy stores (44313, 45111, 45112)"
	5280        "Sewing, needlework, and piece goods stores (45113)"
	5290        "Music stores (45114, 45122)"   
	5370        "Book stores and news dealers (45121)"
	5380        "****Department stores and discount stores (s45211)"
	5390        "Miscellaneous general merchandise stores (4529)"
	5470        "Retail florists (4531)"        
	5480        "Office supplies and stationery stores (45321)"
	5490        "Used merchandise stores (4533)"
	5570        "Gift, novelty, and souvenir shops (45322)"
	5580        "Miscellaneous retail stores (4539)"
	5590        "*** Electronic shopping (New industry *454111)"
	5591        "*** Electronic auctions (New industrys*454112)"
	5592        "** Mail order houses (*454113)"
	5670        "Vending machine operators (4542)"
	5680        "Fuel dealers (45431)"          
	5690        "Other direct selling establishments (45439)"
	5790        "Not specified retail trade (Part of 44, 45)"
	6070        "Air transportation (481)"      
	6080        "Rail transportation (482)"     
	6090        "Water transportation (483)"    
	6170        "Truck transportation (484)"    
	6180        "Bus service and urban transit (4851, 4852, 4854, 4855, 4859)"
	6190        "Taxi and limousine service (4853)"
	6270        "Pipeline transportation (486)" 
	6280        "Scenic and sightseeing transportation (487)"
	6290        "Services incidental to transportation (488)"
	6370        "Postal Service (491)"          
	6380        "Couriers and messengers (492)" 
	6390        "Warehousing and storage (493)" 
	6470        "**Newspaper publishers (51111)"
	6480        "**Publishing, except newspapers and software (5111 exc. 51111)"
	6490        "Software publishing (5112)"    
	6570        "Motion pictures and video industries (5121)"
	6590        "Sound recording industries (5122)"
	6670        "Radio and television broadcasting and cable (5151, 5152, 5175)"
        6672        "Internet publishing and broadcasting and web search portals (51913)" 
	6675        "*** Internet publishing and broadcasting (New industrys*5161)"
	6680        "Wired telecommunications carriers (*5171)"
	6690        "Other telecommunications services (*517 exc. 5171, 5175)"
	6692        "*** Internet service providers	New industry (*5181)"
	6695        "**** Data processing, hosting, and related services (*5182)"
	6770        "Libraries and archives (*51912)"
	6780        "Other information services (*5191 exc. 51912)"
	6870        "Banking and related activities (521, 52211,52219)"
	6880        "Savings institutions, including credit unions (52212, 52213)"
	6890        "Non-depository credit and related activities (5222, 5223)"
	6970        "Securities, commodities, funds, trusts, and other financial investments (523, 525)"
	6990        "Insurance carriers and related activities (524)"
	7070        "Real estate (531)"             
	7080        "Automotive equipment rental and leasing (5321)"
	7170        "Video tape and disk rental (53223)"
	7180        "Other consumer goods rental (53221, 53222, 53229, 5323)"
	7190        "Commercial, industrial, and other intangible assets rental and leasing (5324, 533)"
	7270        "Legal services (5411)"         
	7280        "Accounting, tax preparation, bookkeeping, and payroll services (5412)"
	7290        "Architectural, engineering, and related services (5413)"
	7370        "Specialized design services (5414)"
	7380        "Computer systems design and related services (5415)"
	7390        "Management, scientific, and technical consulting services (5416)"
	7460        "Scientific research and development services (5417)"
	7470        "Advertising and related services (5418)"
	7480        "Veterinary services (54194)"   
	7490        "Other professional, scientific, and technical services (5419 exc. 54194)"
	7570        "Management of companies and enterprises (551)"
	7580        "Employment services (5613)"    
	7590        "Business support services (5614)"
	7670        "Travel arrangements and reservation services (5615)"
	7680        "Investigation and security services (5616)"
	7690        "** Services to buildings and dwellings (5617 exc. 56173)"
	7770        "Landscaping services (56173)"  
	7780        "Other administrative and other support services (5611, 5612, 5619)"
	7790        "Waste management and remediation services (562)"
	7860        "Elementary and secondary schools (6111)"
	7870        "Colleges and universities, including junior colleges (6112, 6113)"
	7880        "Business, technical, and trade schools and training (6114, 6115)"
	7890        "Other schools, instruction, and educational services (6116, 6117)"
	7970        "Offices of physicians (6211)"  
	7980        "Offices of dentists (6212)"    
	7990        "Offices of chiropractors (62131)"
	8070        "Offices of optometrists (62132)"
	8080        "Offices of other health practitioners (6213 exc. 62131, 62132)"
	8090        "Outpatient care centers (6214)"
	8170        "Home health care services (6216)"
	8180        "Other health care services (6215, 6219)"
	8190        "Hospitals (622)"               
	8270        "Nursing care facilities (6231)"
	8290        "Residential care facilities, without nursing (6232, 6233, 6239)"
	8370        "Individual and family services (6241)"
	8380        "Community food and housing, and emergency services (6242)"
	8390        "Vocational rehabilitation services (6243)"
	8470        "Child day care services (6244)"
	8560        "Independent artists, performing arts, spectator sports, and related industries (711)"
	8570        "Museums, art galleries, historical sites, and similar institutions (712)"
	8580        "Bowling centers (71395)"       
	8590        "Other amusement, gambling, and recreation industries (713 exc. 71395)"
	8660        "Traveler accommodation (7211)" 
	8670        "Recreational vehicle parks and camps, and rooming and boarding houses (7212, 7213)"
	8680        "Restaurants and other food services (722 exc. 7224)"
	8690        "Drinking places, alcoholic beverages (7224)"
	8770        "Automotive repair and maintenance (8111 exc. 811192)"
	8780        "Car washes (811192)"           
	8790        "Electronic and precision equipment repair and maintenance (8112)"
	8870        "Commercial and industrial machinery and equipment repair and maintenance (8113)"
	8880        "Personal and household goods repair and maintenance (8114 exc. 81143)"
	8890        "Footwear and leather goods repair (81143)"
	8970        "Barber shops (812111)"         
	8980        "Beauty salons (812112)"        
	8990        "Nail salons and other personal care services (812113, 81219)"
	9070        "Drycleaning and laundry services (8123)"
	9080        "Funeral homes, cemeteries, and crematories (8122)"
	9090        "Other personal services (8129)"
	9160        "Religious organizations (8131)"
	9170        "Civic, social, advocacy organizations, and grantmaking and giving services (8132, 8133, 8134)"
	9180        "Labor unions (81393)"          
	9190        "Business, professional, political, and similar organizations (8139 exc. 81393)"
	9290        "Private households (814)"      
	9370        "Executive offices and legislative bodies (92111, 92112, 92114, pt. 92115)"
	9380        "Public finance activities (92113)"
	9390        "Other general government and support (92119)"
	9470        "Justice, public order, and safety activities (922, pt. 92115)"
	9480        "Administration of human resource programs (923)"
	9490        "Administration of environmental quality and housing programs (924, 925)"
	9570        "Administration of economic programs and space research (926, 927)"
	9590        "National security and international affairs (928)"
	9890        "Armed Forces"                  
	9970        "Problem referral"              
	9990        "Uncodable ((Includes Refused or reported Classified))"
	9670        "U. S. Army"                    
	9680        "U. S. Air Force"               
	9690        "U. S. Navy"                    
	9770        "U. S. Marines"                 
	9780        "U. S. Coast Guard"             
	9790        "U. S. Armed Forces, Branch Not Specified"
	9870        "Military Reserves or National Guard"
;
*dind02:  2000-;
label values dind02     dind02;   
label define  dind02  
        1            "Agriculture"
        2            "Forestry, logging, fishing, hunting, and trapping"
        3            "Mining"
        4            "Construction"
        5            "Nonmetallic mineral products"
        6            "Primary metals and fabricated metal products"
        7            "Machinery manufacturing"
        8            "Computer and electronic products"
        9            "Electrical equipment, appliance manufacturing"
        10           "Transportation equipment manufacturing"
        11           "Wood products"
        12           "Furniture and fixtures manufacturing"
        13           "Miscellaneous and not specified manufacturing"
        14           "Food manufacturing"
        15           "Beverage and tobacco products"
        16           "Textile, apparel, and leather manufacturing"
        17           "Paper and printing"
        18           "Petroleum and coal products"
        19           "Chemical manufacturing"
        20           "Plastics and rubber products"
        21           "Wholesale trade"
        22           "Retail trade"
        23           "Transportation and warehousing"
        24           "Utilities"
        25           "Publishing industries (except internet)"
        26           "Motion picture and sound recording industries"
        27           "Broadcasting (except internet)"
        28           "Internet publishing and broadcasting"
        29           "Telecommunications"
        30           "Internet service providers and data processing services"
        31           "Other information services"
        32           "Finance"
        33           "Insurance"
        34           "Real Estate"
        35           "Rental and leasing services"
        36           "Professional and Technical services"
        37           "Management of companies and enterprises"
        38           "Administrative and support services"
        39           "Waste management and remediation services"
        40           "Educational services"
        41           "Hospitals"
        42           "Health care services , except hospitals"
        43           "Social assistance"
        44           "Arts, entertainment, and recreation"
        45           "Accomodation"
        46           "Food services and drinking places"
        47           "Repair and maintenance"
        48           "Personal and laundry services"
        49           "Membership associations and organizations"
        50           "Private households"
        51           "Public Administration"
        52           "Armed forces"
;
* occ2011:  2011-;
label values occ2011    occ2011l ;
label define occ2011l
	10          "Chief executives 11-1011"      
	20          "General and operations managers 11-1021"
	30          "Legislators 11-1031"           
	40          "Advertising and promotions managers 11-2011"
	50          "Marketing and sales managers 11-2020"
	60          "Public relations managers 11-2031"
	100         "Administrative services managers 11-3011"
	110         "Computer and information systems managers 11-3021"
	120         "Financial managers 11-3031"    
	135         "Compensation and benefits managers 11-3111"
	136         "Human Resources Managers 11-3121"
	137         "Training and Development Managers 11-3131"
	140         "Industrial production managers 11-3051"
	150         "Purchasing managers 11-3061"   
	160         "Transportation, storage, and distribution managers 11-3071"
	205         "Farmers, Ranchers, and other Agricultural Managers 11-9013"
	220         "Construction managers 11-9021" 
	230         "Education administrators 11-9030"
	300         "Engineering managers 11-9041"  
	310         "Food service managers 11-9051" 
	325         "Funeral Service Managers 11-9061"
	330         "Gaming managers 11-9071"       
	340         "Lodging managers 11-9081"      
	350         "Medical and health services managers 11-9111"
	360         "Natural sciences managers 11-9121"
	400         "Postmasters and mail superintendents 11-9131"
	410         "Property, real estate, and community association managers 11-9141"
	420         "Social and community service managers 11-9151"
	425         "Emergency Management Directors 11-9161"
	430         "Managers, all other 11-9199"   
	500         "Agents and business managers of artists, performers, and athletes 13-1011"
	510         "Purchasing agents and buyers, farm products 13-1021"
	520         "Wholesale and retail buyers, except farm products 13-1022"
	530         "Purchasing agents, except wholesale, retail, and farm products 13-1023"
	540         "Claims adjusters, appraisers, examiners, and investigators 13-1030"
	565         "Compliance Officers 13-1041"   
	600         "Cost estimators 13-1051"       
	630         "Human resources workers 13-1070"
	640         "Compensation, benefits, and job analysis specialists 13-1141"
	650         "Training and development specialists 13-1151"
	700         "Logisticians 13-1081"          
	710         "Management analysts 13-1111"   
	725         "Meeting, convention, and event planners 13-1121"
	726         "Fundraisers 13-1131"           
	735         "Market research analysts and marketing specialists 13-1161"
	740         "Business operations specialists, all other 13-1199"
	800         "Accountants and auditors 13-2011"
	810         "Appraisers and assessors of real estate 13-2021"
	820         "Budget analysts 13-2031"       
	830         "Credit analysts 13-2041"       
	840         "Financial analysts 13-2051"    
	850         "Personal financial advisors 13-2052"
	860         "Insurance underwriters 13-2053"
	900         "Financial examiners 13-2061"   
	910         "Loan counselors and officers 13-2070"
	930         "Tax examiners, collectors, and revenue agents 13-2081"
	940         "Tax preparers 13-2082"         
	950         "Financial specialists, all other 13-2099"
	1000        "Computer scientists and systems analysts 15-10XX"
	1005        "Computer and information research scientists 15-1111"
	1006        "Computer systems analysts 15-1121"
	1007        "Information security analysts 15-1122"
	1010        "Computer programmers 15-1131"  
	1020        "Software developers, applications and systems software 15-113X"
	1030        "Web developers 15-1134"        
	1050        "Computer support specialists 15-1150"
	1060        "Database administrators 15-1141"
	1105        "Network and computer systems administrators 15-1142"
	1106        "Computer network architects 15-1143"
	1107        "Computer occupations, all other 15-1199"
	1200        "Actuaries 15-2011"             
	1210        "Mathematicians 15-2021"        
	1220        "Operations research analysts 15-2031"
	1230        "Statisticians 15-2041"         
	1240        "Miscellaneous mathematical science occupations 15-2090"
	1300        "Architects, except naval 17-1010"
	1310        "Surveyors, cartographers, and photogrammetrists 17-1020"
	1320        "Aerospace engineers 17-2011"   
	1330        "Agricultural engineers 17-2021"
	1340        "Biomedical engineers 17-2031"  
	1350        "Chemical engineers 17-2041"    
	1360        "Civil engineers 17-2051"       
	1400        "Computer hardware engineers 17-2061"
	1410        "Electrical and electronic engineers 17-2070"
	1420        "Environmental engineers 17-2081"
	1430        "Industrial engineers, including health and safety 17-2110"
	1440        "Marine engineers and naval architects 17-2121"
	1450        "Materials engineers 17-2131"   
	1460        "Mechanical engineers 17-2141"  
	1500        "Mining and geological engineers, including mining safety engineers 17-2151"
	1510        "Nuclear engineers 17-2161"     
	1520        "Petroleum engineers 17-2171"   
	1530        "Engineers, all other 17-2199"  
	1540        "Drafters 17-3010"              
	1550        "Engineering technicians, except drafters 17-3020"
	1560        "Surveying and mapping technicians 17-3031"
	1600        "Agricultural and food scientists 19-1010"
	1610        "Biological scientists 19-1020" 
	1640        "Conservation scientists and foresters 19-1030"
	1650        "Medical scientists 19-1040"    
	1660        "Life Scientists, all other 16-1099"
	1700        "Astronomers and physicists 19-2010"
	1710        "Atmospheric and space scientists 19-2021"
	1720        "Chemists and materials scientists 19-2030"
	1740        "Environmental scientists and geoscientists 19-2040"
	1760        "Physical scientists, all other 19-2099"
	1800        "Economists 19-3011"            
	1815        "Survey Researchers 19-3022"    
	1820        "Psychologists 19-3030"         
	1830        "Sociologists 19-3041"          
	1840        "Urban and regional planners 19-3051"
	1860        "Miscellaneous social scientists and related workers 19-3090"
	1900        "Agricultural and food science technicians 19-4011"
	1910        "Biological technicians 19-4021"
	1920        "Chemical technicians 19-4031"  
	1930        "Geological and petroleum technicians 19-4041"
	1940        "Nuclear technicians 19-4051"   
	1950        "Social science research assistants 19-4061"
	1965        "Miscellaneous life, physical, and social science technicians 19-4090"
	2000        "Counselors 21-1010"            
	2010        "Social workers 21-1020"        
	2015        "Probation Officers and Correctional Treatment Specialists 21-1092"
	2016        "Social and Human Service Assistants 21-1093"
	2025        "Miscellaneous community and social service specialists, 21-109X"
	2040        "Clergy 21-2011"                
	2050        "Directors, religious activities and education 21-2021"
	2060        "Religious workers, all other 21-2099"
	2100        "Lawyers, Judges, magistrates, and other judicial workers 23-1011"
	2105        "Judicial Law Clerks 23-1012"   
	2110        "Judges, Magistrates, and Other Judicial Workers 23-1020"
	2145        "Paralegals and Legal Assistants 23-2011"
	2160        "Miscellaneous Legal Support Workers 23-2090"
	2200        "Postsecondary teachers 25-1000"
	2300        "Preschool and kindergarten teachers 25-2010"
	2310        "Elementary and middle school teachers 25-2020"
	2320        "Secondary school teachers 25-2030"
	2330        "Special education teachers 25-2050"
	2340        "Other teachers and instructors 25-3000"
	2400        "Archivists, curators, and museum technicians 25-4010"
	2430        "Librarians 25-4021"            
	2440        "Library technicians 25-4031"   
	2540        "Teacher assistants 25-9041"    
	2550        "Other education, training, and library workers 25-90XX"
	2600        "Artists and related workers 27-1010"
	2630        "Designers 27-1020"             
	2700        "Actors 27-2011"                
	2710        "Producers and directors 27-2012"
	2720        "Athletes, coaches, umpires, and related workers 27-2020"
	2740        "Dancers and choreographers 27-2030"
	2750        "Musicians, singers, and related workers 27-2040"
	2760        "Entertainers and performers, sports and related workers, all other 27-2099"
	2800        "Announcers 27-3010"            
	2810        "News analysts, reporters and correspondents 27-3020"
	2825        "Public Relations Specialists 27-3031"
	2830        "Editors 27-3041"               
	2840        "Technical writers 27-3042"     
	2850        "Writers and authors 27-3043"   
	2860        "Miscellaneous media and communication workers 27-3090"
	2900        "Broadcast and sound engineering technicians and radio operators 27-4010"
	2910        "Photographers 27-4021"         
	2920        "Television, video, and motion picture camera operators and editors 27-4030"
	2960        "Media and communication equipment workers, all other 27-4099"
	3000        "Chiropractors 29-1011"         
	3010        "Dentists 29-1020"              
	3030        "Dietitians and nutritionists 29-1031"
	3040        "Optometrists 29-1041"          
	3050        "Pharmacists 29-1051"           
	3060        "Physicians and surgeons 29-1060"
	3110        "Physician assistants 29-1071"  
	3120        "Podiatrists 29-1081"           
	3140        "Audiologists 29-1181"          
	3150        "Occupational therapists 29-1122"
	3160        "Physical therapists 29-1123"   
	3200        "Radiation therapists 29-1124"  
	3210        "Recreational therapists 29-1125"
	3220        "Respiratory therapists 29-1126"
	3230        "Speech-language pathologists 29-1127"
	3235        "Exercise Physiologists 29-1128"
	3245        "Therapists, all other 29-1129" 
	3250        "Veterinarians 29-1131"         
	3255        "Registered Nurses 29-1141"     
	3256        "Nurse Anesthetists 29-1151"    
	3257        "Nurse Midwives 29-1161"        
	3258        "Nurse Practitioners 29-1171"   
	3260        "Health diagnosing and treating practitioners, all other 29-1199"
	3300        "Clinical laboratory technologists and technicians 29-2010"
	3310        "Dental hygienists 29-2021"     
	3320        "Diagnostic related technologists and technicians 29-2030"
	3400        "Emergency medical technicians and paramedics 29-2041"
	3420        "Health Practitioner Support Technologists and Technicians 29-2050"
	3500        "Licensed practical and licensed vocational nurses 29-2061"
	3510        "Medical records and health information technicians 29-2071"
	3520        "Opticians, dispensing 29-2081" 
	3535        "Miscellaneous Health Technologists and Technicians 29-2090"
	3540        "Other healthcare practitioners and technical occupations 29-9000"
	3600        "Nursing, psychiatric, and home health aides 31-1010"
	3610        "Occupational therapist assistants and aides 31-2010"
	3620        "Physical therapist assistants and aides 31-2020"
	3630        "Massage therapists 31-9011"    
	3640        "Dental assistants 31-9091"     
	3645        "Medical Assistants 31-9092"    
	3646        "Medical Transcriptionists 31-9094"
	3647        "Pharmacy Aides 31-9095"        
	3648        "Veterinary Assistants and Laboratory Animal Caretakers 31-9096"
	3649        "Phlebotomists 31-9097"         
	3655        "Miscellaneous Healthcare Support Occupations, Including 31-909X"
	3700        "First-line supervisors/managers of correctional officers 33-1011"
	3710        "First-line supervisors/managers of police and detectives 33-1012"
	3720        "First-line supervisors/managers of fire fighting and prevention workers 33-1021"
	3730        "Supervisors, protective service workers, all other 33-1099"
	3740        "Fire fighters 33-2011"         
	3750        "Fire inspectors 33-2020"       
	3800        "Bailiffs, correctional officers, and jailers 33-3010"
	3820        "Detectives and criminal investigators 33-3021"
	3830        "Fish and game wardens 33-3031" 
	3840        "Parking enforcement workers 33-3041"
	3850        "Police and sheriff's patrol officers 33-3051"
	3860        "Transit and railroad police 33-3052"
	3900        "Animal control workers 33-9011"
	3910        "Private detectives and investigators 33-9021"
	3930        "Security Guards and Gaming Surveillance Officers 33-9030"
	3940        "Crossing guards 33-9091"       
	3945        "Transportation Security Screeners 33-9093"
	3955        "Lifeguards and Other Recreational, and all Other Protective Service Workers 33-909X"
	4000        "Chefs and head cooks 35-1011"  
	4010        "First-line supervisors/managers of food preparation and serving workers 35-1012"
	4020        "Cooks 35-2010"                 
	4030        "Food preparation workers 35-2021"
	4040        "Bartenders 35-3011"            
	4050        "Combined food preparation and serving workers, including fast food 35-3021"
	4060        "Counter attendants, cafeteria, food concession, and coffee shop 35-3022"
	4110        "Waiters and waitresses 35-3031"
	4120        "Food servers, nonrestaurant 35-3041"
	4130        "Dining room and cafeteria attendants and bartender helpers 35-9011"
	4140        "Dishwashers 35-9021"           
	4150        "Hosts and hostesses, restaurant, lounge, and coffee shop 35-9031"
	4160        "Food preparation and serving related workers, all other 35-9099"
	4200        "First-line supervisors/managers of housekeeping and janitorial workers 37-1011"
	4210        "First-line supervisors/managers of landscaping, lawn service, and groundskeeping workers 37-1012"
	4220        "Janitors and building cleaners 31-201X"
	4230        "Maids and housekeeping cleaners 37-2012"
	4240        "Pest control workers 37-2021"  
	4250        "Grounds maintenance workers 37-3010"
	4300        "First-line supervisors/managers of gaming workers 39-1010"
	4320        "First-line supervisors/managers of personal service workers 39-1021"
	4340        "Animal trainers 39-2011"       
	4350        "Nonfarm animal caretakers 39-2021"
	4400        "Gaming services workers 39-3010"
	4410        "Motion picture projectionists 39-3021"
	4420        "Ushers, lobby attendants, and ticket takers 39-3031"
	4430        "Miscellaneous entertainment attendants and related workers 39-3090"
	4460        "Funeral service workers 39-40XX"
	4465        "Morticians, Undertakers, and Funeral Directors 39-4031"
	4500        "Barbers 39-5011"               
	4510        "Hairdressers, hairstylists, and cosmetologists 39-5012"
	4520        "Miscellaneous personal appearance workers 39-5090"
	4530        "Baggage porters, bellhops, and concierges 39-6010"
	4540        "Tour and travel guides 39-7010"
	4600        "Child care workers 39-9011"    
	4610        "Personal and home care aides 39-9021"
	4620        "Recreation and fitness workers 39-9030"
	4640        "Residential advisors 39-9041"  
	4650        "Personal care and service workers, all other 39-9099"
	4700        "First-line supervisors/managers of retail sales workers 41-1011"
	4710        "First-line supervisors/managers of non-retail sales workers 41-1012"
	4720        "Cashiers 41-2010"              
	4740        "Counter and rental clerks 41-2021"
	4750        "Parts salespersons 41-2022"    
	4760        "Retail salespersons 41-2031"   
	4800        "Advertising sales agents 41-3011"
	4810        "Insurance sales agents 41-3021"
	4820        "Securities, commodities, and financial services sales agents 41-3031"
	4830        "Travel agents 41-3041"         
	4840        "Sales representatives, services, all other 41-3099"
	4850        "Sales representatives, wholesale and manufacturing 41-4010"
	4900        "Models, demonstrators, and product promoters 41-9010"
	4920        "Real estate brokers and sales agents 41-9020"
	4930        "Sales engineers 41-9031"       
	4940        "Telemarketers 41-9041"         
	4950        "Door-to-door sales workers, news and street vendors, and related workers 41-9091"
	4965        "Sales and Related Workers, all other 41-9099"
	5000        "First-line supervisors/managers of office and administrative support workers 43-1011"
	5010        "Switchboard operators, including answering service 43-2011"
	5020        "Telephone operators 43-2021"   
	5030        "Communications equipment operators, all other 43-2099"
	5100        "Bill and account collectors 43-3011"
	5110        "Billing and posting clerks and machine operators 43-3021"
	5120        "Bookkeeping, accounting, and auditing clerks 43-3031"
	5130        "Gaming cage workers 43-3041"   
	5140        "Payroll and timekeeping clerks 43-3051"
	5150        "Procurement clerks 43-3061"    
	5160        "Tellers 43-3071"               
	5165        "Financial Clerks, all other 43-3099"
	5200        "Brokerage clerks 43-4011"      
	5210        "Correspondence clerks 43-4021" 
	5220        "Court, municipal, and license clerks 43-4031"
	5230        "Credit authorizers, checkers, and clerks 43-4041"
	5240        "Customer service representatives 43-4051"
	5250        "Eligibility interviewers, government programs 43-4061"
	5260        "File Clerks 43-4071"           
	5300        "Hotel, motel, and resort desk clerks 43-4081"
	5310        "Interviewers, except eligibility and loan 43-4111"
	5320        "Library assistants, clerical 43-4121"
	5330        "Loan interviewers and clerks 43-4131"
	5340        "New accounts clerks 43-4141"   
	5350        "Order clerks 43-4151"          
	5360        "Human resources assistants, except payroll and timekeeping 43-4161"
	5400        "Receptionists and information clerks 43-4171"
	5410        "Reservation and transportation ticket agents and travel clerks 43-4181"
	5420        "Information and record clerks, all other 43-4199"
	5500        "Cargo and freight agents 43-5011"
	5510        "Couriers and messengers 43-5021"
	5520        "Dispatchers 43-5030"           
	5530        "Meter readers, utilities 43-5041"
	5540        "Postal service clerks 43-5051" 
	5550        "Postal service mail carriers 43-5052"
	5560        "Postal service mail sorters, processors, and processing machine operators 43-5053"
	5600        "Production, planning, and expediting clerks 43-5061"
	5610        "Shipping, receiving, and traffic clerks 43-5071"
	5620        "Stock clerks and order fillers 43-5081"
	5630        "Weighers, measurers, checkers, and samplers, recordkeeping 43-5111"
	5700        "Secretaries and administrative assistants 43-6010"
	5800        "Computer operators 43-9011"    
	5810        "Data entry keyers 43-9021"     
	5820        "Word processors and typists 43-9022"
	5830        "Desktop publishers 43-9031"    
	5840        "Insurance claims and policy processing clerks 43-9041"
	5850        "Mail clerks and mail machine operators, except postal service 43-9051"
	5860        "Office clerks, general 43-9061"
	5900        "Office machine operators, except computer 43-9071"
	5910        "Proofreaders and copy markers 43-9081"
	5920        "Statistical assistants 43-9111"
	5940        "Office and Administrative Support Workers, all other 43-9199"
	6005        "First-line supervisors of farming, fishing, and forestry workers 45-1011"
	6010        "Agricultural inspectors 45-2011"
	6020        "Animal breeders 45-2021"       
	6040        "Graders and sorters, agricultural products 45-2041"
	6050        "Miscellaneous agricultural workers 45-2090"
	6100        "Fishers and related fishing workers 45-3011"
	6110        "Hunters and trappers 45-3021"  
	6120        "Forest and conservation workers 45-4011"
	6130        "Logging workers 45-4020"       
	6200        "First-line supervisors/managers of construction trades and extraction workers 47-1011"
	6210        "Boilermakers 47-2011"          
	6220        "Brickmasons, blockmasons, and stonemasons 47-2020"
	6230        "Carpenters 47-2031"            
	6240        "Carpet, floor, and tile installers and finishers 47-2040"
	6250        "Cement masons, concrete finishers, and terrazzo workers 47-2050"
	6260        "Construction laborers 47-2061" 
	6300        "Paving, surfacing, and tamping equipment operators 47-2071"
	6310        "Pile-driver operators 47-2072" 
	6320        "Operating engineers and other construction equipment operators 47-2073"
	6330        "Drywall installers, ceiling tile installers, and tapers 47-2080"
	6355        "Electricians 47-2111"          
	6360        "Glaziers 47-2121"              
	6400        "Insulation workers 47-2130"    
	6420        "Painters, construction and maintenance 47-2141"
	6430        "Paperhangers 47-2142"          
	6440        "Pipelayers, plumbers, pipefitters, and steamfitters 47-2150"
	6460        "Plasterers and stucco masons 47-2161"
	6500        "Reinforcing iron and rebar workers 47-2171"
	6515        "Roofers 47-2181"               
	6520        "Sheet metal workers 47-2211"   
	6530        "Structural iron and steel workers 47-2221"
	6540        "Solar Photovoltaic Installers 47-2231"
	6600        "Helpers, construction trades 47-3010"
	6660        "Construction and building inspectors 47-4011"
	6700        "Elevator installers and repairers 47-4021"
	6710        "Fence erectors 47-4031"        
	6720        "Hazardous materials removal workers 47-4041"
	6730        "Highway maintenance workers 47-4051"
	6740        "Rail-track laying and maintenance equipment operators 47-4061"
	6750        "Septic tank servicers and sewer pipe cleaners 47-4071"
	6765        "Miscellaneous construction and related workers 47-4090"
	6800        "Derrick, rotary drill, and service unit operators, oil, gas, and mining 47-5010"
	6820        "Earth drillers, except oil and gas 47-5021"
	6830        "Explosives workers, ordnance handling experts, and blasters 47-5031"
	6840        "Mining machine operators 47-5040"
	6910        "Roof bolters, mining 47-5061"  
	6920        "Roustabouts, oil and gas 47-5071"
	6930        "Helpers--extraction workers 47-5081"
	6940        "Other extraction workers 47-50XX"
	7000        "First-line supervisors/managers of mechanics, installers, and repairers 49-1011"
	7010        "Computer, automated teller, and office machine repairers 49-2011"
	7020        "Radio and telecommunications equipment installers and repairers 49-2020"
	7030        "Avionics technicians 49-2091"  
	7040        "Electric motor, power tool, and related repairers 49-2092"
	7050        "Electrical and electronics installers and repairers, transportation equipment 49-2093"
	7100        "Electrical and electronics repairers, industrial and utility 49-209X"
	7110        "Electronic equipment installers and repairers, motor vehicles 49-2096"
	7120        "Electronic home entertainment equipment installers and repairers 49-2097"
	7130        "Security and fire alarm systems installers 49-2098"
	7140        "Aircraft mechanics and service technicians 49-3011"
	7150        "Automotive body and related repairers 49-3021"
	7160        "Automotive glass installers and repairers 49-3022"
	7200        "Automotive service technicians and mechanics 49-3023"
	7210        "Bus and truck mechanics and diesel engine specialists 49-3031"
	7220        "Heavy vehicle and mobile equipment service technicians and mechanics 49-3040"
	7240        "Small engine mechanics 49-3050"
	7260        "Miscellaneous vehicle and mobile equipment mechanics, installers, and repairers 49-3090"
	7300        "Control and valve installers and repairers 49-9010"
	7315        "Heating, air conditioning, and refrigeration mechanics and installers 49-9021"
	7320        "Home appliance repairers 49-9031"
	7330        "Industrial and refractory machinery mechanics 49-904X"
	7340        "Maintenance and repair workers, general 49-9071"
	7350        "Maintenance workers, machinery 49-9043"
	7360        "Millwrights 49-9044"           
	7410        "Electrical power-line installers and repairers 49-9051"
	7420        "Telecommunications line installers and repairers 49-9052"
	7430        "Precision instrument and equipment repairers 49-9060"
	7440        "Wind Turbine Service Technicians 49-9081"
	7510        "Coin, vending, and amusement machine servicers and repairers 49-9091"
	7520        "Commercial divers 49-9092"     
	7540        "Locksmiths and safe repairers 49-9094"
	7550        "Manufactured building and mobile home installers 49-9095"
	7560        "Riggers 49-9096"               
	7600        "Signal and track switch repairers 49-9097"
	7610        "Helpers--installation, maintenance, and repair workers 49-9098"
	7630        "Other installation, maintenance, and repair workers 49-909X"
	7700        "First-line supervisors/managers of production and operating workers 51-1011"
	7710        "Aircraft structure, surfaces, rigging, and systems assemblers 51-2011"
	7720        "Electrical, electronics, and electromechanical assemblers 51-2020"
	7730        "Engine and other machine assemblers 51-2031"
	7740        "Structural metal fabricators and fitters 51-2041"
	7750        "Miscellaneous assemblers and fabricators 51-2090"
	7800        "Bakers 51-3011"                
	7810        "Butchers and other meat, poultry, and fish processing workers 51-3020"
	7830        "Food and tobacco roasting, baking, and drying machine operators and tenders 51-3091"
	7840        "Food batchmakers 51-3092"      
	7850        "Food cooking machine operators and tenders 51-3093"
	7855        "Food Processing Workers, all Other 51-3099"
	7900        "Computer control programmers and operators 51-4010"
	7920        "Extruding and drawing machine setters, operators, and tenders, metal and plastic 51-4021"
	7930        "Forging machine setters, operators, and tenders, metal and plastic 51-4022"
	7940        "Rolling machine setters, operators, and tenders, metal and plastic 51-4023"
	7950        "Cutting, punching, and press machine setters, operators, and tenders, metal and plastic 51-4031"
	7960        "Drilling and boring machine tool setters, operators, and tenders, metal and plastic 51-4032"
	8000        "Grinding, lapping, polishing, and buffing machine tool setters, operators, and tenders, metal and plastic 51-4033"
	8010        "Lathe and turning machine tool setters, operators, and tenders, metal and plastic 51-4034"
	8020        "Milling and planing machine setters, operators, and tenders, metal and plastic 51-4035"
	8030        "Machinists 51-4041"            
	8040        "Metal furnace and kiln operators and tenders 51-4050"
	8060        "Model makers and patternmakers, metal and plastic 51-4060"
	8100        "Molders and molding machine setters, operators, and tenders, metal and plastic 51-4070"
	8120        "Multiple machine tool setters, operators, and tenders, metal and plastic 51-4081"
	8130        "Tool and die makers 51-4111"   
	8140        "Welding, soldering, and brazing workers 51-4120"
	8150        "Heat treating equipment setters, operators, and tenders, metal and plastic 51-4191"
	8160        "Lay-out workers, metal and plastic 51-4192"
	8200        "Plating and coating machine setters, operators, and tenders, metal and plastic 51-4193"
	8210        "Tool grinders, filers, and sharpeners 51-4194"
	8220        "Metalworkers and plastic workers, all other 51-4199"
	8250        "Prepress technicians and workers 51-5111"
	8255        "Printing Press Operators 51-5112"
	8256        "Print Binding and Finishing Workers 51-5113"
	8300        "Laundry and dry-cleaning workers 51-6011"
	8310        "Pressers, textile, garment, and related materials 51-6021"
	8320        "Sewing machine operators 51-6031"
	8330        "Shoe and leather workers and repairers 51-6041"
	8340        "Shoe machine operators and tenders 51-6042"
	8350        "Tailors, dressmakers, and sewers 51-6050"
	8360        "Textile bleaching and dyeing machine operators and tenders 51-6061"
	8400        "Textile cutting machine setters, operators, and tenders 51-6062"
	8410        "Textile knitting and weaving machine setters, operators, and tenders 51-6063"
	8420        "Textile winding, twisting, and drawing out machine setters, operators, and tenders 51-6064"
	8430        "Extruding and forming machine setters, operators, and tenders, synthetic and glass fibers 51-6091"
	8440        "Fabric and apparel patternmakers 51-6092"
	8450        "Upholsterers 51-6093"          
	8460        "Textile, apparel, and furnishings workers, all other 51-6099"
	8500        "Cabinetmakers and bench carpenters 51-7011"
	8510        "Furniture finishers 51-7021"   
	8520        "Model makers and patternmakers, wood 51-7030"
	8530        "Sawing machine setters, operators, and tenders, wood 51-7041"
	8540        "Woodworking machine setters, operators, and tenders, except sawing 51-7042"
	8550        "Woodworkers, all other 51-7099"
	8600        "Power plant operators, distributors, and dispatchers 51-8010"
	8610        "Stationary engineers and boiler operators 51-8021"
	8620        "Water and liquid waste treatment plant and system operators 51-8031"
	8630        "Miscellaneous plant and system operators 51-8090"
	8640        "Chemical processing machine setters, operators, and tenders 51-9010"
	8650        "Crushing, grinding, polishing, mixing, and blending workers 51-9020"
	8710        "Cutting workers 51-9030"       
	8720        "Extruding, forming, pressing, and compacting machine setters, operators, and tenders 51-9041"
	8730        "Furnace, kiln, oven, drier, and kettle operators and tenders 51-9051"
	8740        "Inspectors, testers, sorters, samplers, and weighers 51-9061"
	8750        "Jewelers and precious stone and metal workers 51-9071"
	8760        "Medical, dental, and ophthalmic laboratory technicians 51-9080"
	8800        "Packaging and filling machine operators and tenders 51-9111"
	8810        "Painting workers 51-9120"      
	8830        "Photographic process workers and processing machine operators 51-9151"
	8840        "Semiconductor processors 51-9141"
	8850        "Cementing and gluing machine operators and tenders 51-9191"
	8860        "Cleaning, washing, and metal pickling equipment operators and tenders 51-9192"
	8900        "Cooling and freezing equipment operators and tenders 51-9193"
	8910        "Etchers and engravers 51-9194" 
	8920        "Molders, shapers, and casters, except metal and plastic 51-9195"
	8930        "Paper goods machine setters, operators, and tenders 51-9196"
	8940        "Tire builders 51-9197"         
	8950        "Helpers--production workers 51-9198"
	8965        "Production workers, all other 51-9199"
	9000        "Supervisors, transportation and material moving workers 53-1000"
	9030        "Aircraft pilots and flight engineers 53-2010"
	9040        "Air traffic controllers and airfield operations specialists 53-2020"
	9050        "Flight Attendants 53-2031"     
	9110        "Ambulance drivers and attendants, except emergency medical technicians 53-3011"
	9120        "Bus drivers 53-3020"           
	9130        "Driver/sales workers and truck drivers 53-3030"
	9140        "Taxi drivers and chauffeurs 53-3041"
	9150        "Motor vehicle operators, all other 53-3099"
	9200        "Locomotive engineers and operators 53-4010"
	9230        "Railroad brake, signal, and switch operators 53-4021"
	9240        "Railroad conductors and yardmasters 53-4031"
	9260        "Subway, streetcar, and other rail transportation workers 53-40XX"
	9300        "Sailors and marine oilers 53-5011"
	9310        "Ship and boat captains and operators 53-5020"
	9330        "Ship engineers 53-5031"        
	9340        "Bridge and lock tenders 53-6011"
	9350        "Parking lot attendants 53-6021"
	9360        "Service station attendants 53-6031"
	9410        "Transportation inspectors 53-6051"
	9415        "Transportation Attendants, Except Flight Attendants 53-6061"
	9420        "Other transportation workers 53-60XX"
	9500        "Conveyor operators and tenders 53-7011"
	9510        "Crane and tower operators 53-7021"
	9520        "Dredge, excavating, and loading machine operators 53-7030"
	9560        "Hoist and winch operators 53-7041"
	9600        "Industrial truck and tractor operators 53-7051"
	9610        "Cleaners of vehicles and equipment 53-7061"
	9620        "Laborers and freight, stock, and material movers, hand 53-7062"
	9630        "Machine feeders and offbearers 53-7063"
	9640        "Packers and packagers, hand 53-7064"
	9650        "Pumping station operators 53-7070"
	9720        "Refuse and recyclable material collectors 53-7081"
	9730        "Shuttle car operators 53-7111" 
	9740        "Tank car, truck, and ship loaders 53-7121"
	9750        "Material moving workers, all other 53-7199"
	9840        "Armed Forces"                  
	9970        "Problem referral"              
	9990        "Not reported (Includes Refused, Classified, blank and all other noncodable entries)"
	9800        "Military officer special and tactical operations leaders/managers 55-1010"
	9810        "First-line enlisted military supervisors/managers 55-2010"
	9820        "Military enlisted tactical operations and air/weapons specialists and crew members 55-3010"
	9830        "Military, rank not specified 99-9999"
;
* docc00:  2000-;
label values docc00   docc00l ;   
label define docc00l   
	1           "Management occupations"
	2           "Business and financial operations occupations"
	3           "Computer and mathematical science occupations"
	4           "Architecture and engineering occupations"                     
	5           "Life, physical, and social science occupations"
	6           "Community and social service occupations"            
	7           "Legal occupations"       
	8           "Education, training, and library occupations"
	9           "Arts, design, entertainment, sports, and media occupations"
	10          "Healthcare practitioner and technical occupations"
	11          "Healthcare support occupations"            
	12          "Protective service occupations"
	13          "Food preparation and serving related occupations"
	14          "Building and grounds cleaning and maintenance occupations"
     15          "Personal care and service occupations"
	16          "Sales and related occupations"
	17          "Office and administrative support occupations"
	18          "Farming, fishing, and forestry occupations"
	19          "Construction and extraction occupations"
	20          "Installation, maintenance, and repair occupations"            
	21          "Production occupations"   
	22          "Transportation and material moving occupations"  
	23          "Armed Forces"
;
* eligible:  1979:5-;
label values eligible  P21L;
label define P21L
        1           "Earnings Eligible For Edit"
        2           "Other" 
;
* reason94:  1994-; 
label values reason94  P22L;
label define P22L
        1           "Slack Work/Business Conditions"
        2           "Seasonal Work"
        3           "Job Started Or Ended During Week"
        4           "Vacation/Personal Day"
        5           "Own Illness/Injury/Medical Appointment"
        6           "Holiday (legal Or Religious)"
        7           "Child Care Problems"
        8           "Other Family/Personal Obligations"
        9           "Labor Dispute"
        10          "Weather Affected Job"
        11          "School/Training"
        12          "Civic/Military Duty"
        13          "Other Reason"
;
* absent94:  1994-;
label values absent94 P23L;
label define P23L
        1           "On Layoff"
        2           "Slack Work/Business Conditions"
        3           "Waiting For A New Job To Begin"
        4           "Vacation/Personal Days"
        5           "Own Illness/Injury/Medical Problems"
        6           "Child Care Problems"
        7           "Other Family/Personal Obligation"
        8           "Maternity/Paternity Leave"
        9           "Labor Dispute"
        10          "Weather Affected Job"
        11          "School/Training"
        12          "Civic/Military Duty"
        13          "Does Not Work In The Business"
        14          "Other (specify)"
;
*why3594:  1994-;
label values why3594  P3594L;   
label define P3594L    
	1           "Usu. FT-Slack Work/Business Conditions"
	2           "Usu. FT-Seasonal Work"         
	3           "Usu. FT-Job Started/Ended During Week"
	4           "Usu. FT-Vacation/Personal Day" 
	5           "Usu. FT-Own Illness/Injury/Medical Appt"
	6           "Usu. FT-Holiday (religious Or Legal)"
	7           "Usu. FT-Child Care Problems"   
	8           "Usu. FT-Other Fam/Pers Obligations"
	9           "Usu. FT-Labor Dispute"         
	10          "Usu. FT-Weather Affected Job"  
	11          "Usu. FT-School/Training"       
	12          "Usu. FT-Civic/Military Duty"   
	13          "Usu. FT-Other Reason"          
	14          "Usu. PT-Slack Work/Business Conditions"
	15          "Usu. PT-Could Only Find PT Work"
	16          "Usu. PT-Seasonal Work"         
	17          "Usu. PT-Child Care Problems"   
	18          "Usu. PT-Other Fam/Pers Obligations"
	19          "Usu. PT-Health/Medical Limitations"
	20          "Usu. PT-School/Training"       
	21          "Usu. PT-Retired/Ss Limit On Earnings"
	22          "Usu. PT-Workweek <35 Hours"    
	23          "Usu. PT-Other Reason"          
;
* ftpt94:  1994-;
label values ftpt94 P160L;
label define P160L
        1           "Not In Labor Force"
        2           "FT Hours (35+), Usually FT"
        3           "PT For Economic Reasons, Usually FT"
        4           "PT For Non-Economic Reasons, Usually FT"
        5           "Not At Work, Usually FT"
        6           "PT Hours, Usually PT For Economic Reasons"
        7           "PT hrs, Usually PT For Non-Economic"
        8           "FT Hours, Usually PT For Economic Reas"
        9           "FT hrs, Usually PT For Non-Economic"
        10          "Not at work, Usually Part-Time"
        11          "Unemployed FT"
        12          "Unemployed PT"
;
* studftpt:  1984-;
label values studftpt  P24L;
label define P24L
        1           "Full-time"
        2           "Part-time"
;
* unionmme:  1983-; 
label values unionmme P25L;
label define P25L
        1           "Yes"
        2           "No"
;
* unioncov:  1983-;
label values unioncov P26L;
label define P26L
        1           "Yes"
        2           "No"
;
* otc:  1994-;
label values otc    yesno;
label define yesno
        1           "Yes"
        2           "No"
;
* hrhtype:  1984-;
label values hrhtype hrhtype;
label define hrhtype
      0            "Non-interview household"
      1            "Husband/wife primary fam (neither in Armed Forces)"
      2            "Husband/wife primary fam (one/both in Armed Forces)"
      3            "Unmarried civilian male primary fam householder"
      4            "Unmarried civilian female primary fam householder"
      5            "Unmarried primary fam householder in Armed Forces"
      6            "Civilian male primary individual"
      7            "Civilian female primary individual"
      8            "Primary ind HH - reference person in Armed Forces"
      9            "Group quarters with family"
     10            "Group quarters without family"
;
**  Race 2003-April 2012 has 21 Categories"
** "Race May 2012 on has 26 Categories"
label values race    race21;
label define race21
	1           "White Only"                              
	2           "Black Only"                              
	3           "American Indian, Alaskan Native Only"    
	4           "Asian Only"                              
	5           "Hawaiian/Pacific Islander Only"          
	6           "White-Black"                             
	7           "White-AI"                                
	8           "White-Asian"                             
	9           "White-Hawaiian"                          
	10          "Black-AI"                                
	11          "Black-Asian"                             
	12          "Black-HP"                                
	13          "AI-Asian"                                
	14          "Asian-HP"                                
	15          "W-B-AI"                                  
	16          "W-B-A"                                   
	17          "W-AI-A"                                  
	18          "W-A-HP"                                  
	19          "W-B-AI-A"                                
	20          "2 or 3 Races"                            
	21          "4 or 5 Races"

;
