*by Jean Roth Wed Jan 24 18:05:34 EST 2001
*Please report errors to jroth@nber.org

* Note:  Variable names in Stata are case-sensitive
#delimit ;
;
*  minsamp:  1979-;
label values minsamp    P2L;
label define P2L
        4           "MIS 4"
        8           "MIS 8"
;
* hrlonglk:  1994-; 
label values hrlonglk P3L;
label define P3L
        0           "MIS 1 Or Replacement HH (no"
        2           "MIS 2-4 Or MIS 6-8 (link To"
;
* intmonth:  1979-;
label values intmonth  P4L;
label define P4L
        1           "January"
        2           "February"
        3           "March"
        4           "April"
        5           "May"
        6           "June"
        7           "July"
        8           "August"
        9           "September"
        10          "October"
        11          "November"
        12          "December"
;
* stfips:  1989-;
label values stfips stfips;
label define stfips
	1           "AL"                                      
	2           "AK"                                      
	4           "AZ"                                      
	5           "AR"                                      
	6           "CA"                                      
	8           "CO"                                      
	9           "CT"                                      
	10          "DE"                                      
	11          "DC"                                      
	12          "FL"                                      
	13          "GA"                                      
	15          "HI"                                      
	16          "ID"                                      
	17          "IL"                                      
	18          "IN"                                      
	19          "IA"                                      
	20          "KS"                                      
	21          "KY"                                      
	22          "LA"                                      
	23          "ME"                                      
	24          "MD"                                      
	25          "MA"                                      
	26          "MI"                                      
	27          "MN"                                      
	28          "MS"                                      
	29          "MO"                                      
	30          "MT"                                      
	31          "NE"                                      
	32          "NV"                                      
	33          "NH"                                      
	34          "NJ"                                      
	35          "NM"                                      
	36          "NY"                                      
	37          "NC"                                      
	38          "ND"                                      
	39          "OH"                                      
	40          "OK"                                      
	41          "OR"                                      
	42          "PA"                                      
	44          "RI"                                      
	45          "SC"                                      
	46          "SD"                                      
	47          "TN"                                      
	48          "TX"                                      
	49          "UT"                                      
	50          "VT"                                      
	51          "VA"                                      
	53          "WA"                                      
	54          "WV"                                      
	55          "WI"                                      
	56          "WY"                                      
;
* state:  1979-;
label values state    P27L;   
label define P27L    
	11          "ME"                            
	12          "NH"                            
	13          "VT"                            
	14          "MA"                            
	15          "RI"                            
	16          "CT"                            
	21          "NY"                            
	22          "NJ"                            
	23          "PA"                            
	31          "OH"                            
	32          "IN"                            
	33          "IL"                            
	34          "MI"                            
	35          "WI"                            
	41          "MN"                            
	42          "IA"                            
	43          "MO"                            
	44          "ND"                            
	45          "SD"                            
	46          "NE"                            
	47          "KS"                            
	51          "DE"                            
	52          "MD"                            
	53          "DC"                            
	54          "VA"                            
	55          "WV"                            
	56          "NC"                            
	57          "SC"                            
	58          "GA"                            
	59          "FL"                            
	61          "KY"                            
	62          "TN"                            
	63          "AL"                            
	64          "MS"                            
	71          "AR"                            
	72          "LA"                            
	73          "OK"                            
	74          "TX"                            
	81          "MT"                            
	82          "ID"                            
	83          "WY"                            
	84          "CO"                            
	85          "NM"                            
	86          "AZ"                            
	87          "UT"                            
	88          "NV"                            
	91          "WA"                            
	92          "OR"                            
	93          "CA"                            
	94          "AK"                            
	95          "HI"                            
;
* smsastat:  1979-;
label values smsastat P5L;
label define P5L
        1           "Metropolitan"
        2           "Nonmetropolitan"
;
* centcity:  1979-;
label values centcity  P6L;
label define P6L
        1           "Central City"
        2           "Balance Of MSA"
        3           "Non-Metropolitan"
;
* smsa93:  1995:9-;
label values smsa93  P7L;
label define P7L
        2           "100,000 - 249,999"
        3           "250,000 - 499,999"
        4           "500,000 - 999,999"
        5           "1,000,000 - 2,499,999"
        6           "2,500,000 - 4,999,999"
        7           "5,000,000+"
;
* icntcity goes here;
*msafips:  1994-;
label values msafips  msafips;
label define msafips 
	80          "Akron, OH PMSA"                
	160         "Albany-Schenectady-Troy, NY MSA (Schohaire County not in sample)"
	200         "Albuquerque, NM MSA"           
	240         "Allentown-Bethlehem-Easton, PA MSA "
	380         "Anchorage, AK MSA"             
	440         "Ann Arbor, MI PMSA"            
	450         "Anniston, AL MSA"              
	460         "Appleton-Oshkosh-Neenah, WI MSA"
	480         "Asheville, NC MSA (Madison County not in sample)"
	520         "Atlanta, GA MSA"               
	560         "Atlantic-Cape May, NJ PMSA "   
	600         "Augusta-Aiken, GA-SC MSA"      
	640         "Austin-San Marcos, TX MSA"     
	680         "Bakersfield, CA MSA"           
	720         "Baltimore, MD PMSA"            
	760         "Balton Rouge, LA MSA"          
	840         "Beaumont-Port Arthur, TX MSA"  
	860         "Bellingham, WA MSA"            
	870         "Benton Harbor, MI MSA"         
	875         "Bergen-Passaic, NJ PMSA"       
	960         "Binghamton, NY MSA"            
	1000        "Birmingham, AL MSA"            
	1080        "Boise City, ID MSA"            
	1120        "Boston, MA-NH PMSA (New Hampshire portion not identified)"
	1125        "Boulder-Longmont, CO PMSA"     
	1145        "Brazoria, TX PMSA"             
	1160        "Bridgeport, CT PMSA"           
	1200        "Brockton, MA PMSA"             
	1240        "Brownsville-Harlingen-San Benito, TX MSA"
	1280        "Buffalo-Niagara Falls, NY MSA" 
	1305        "Burlington, VT MSA"            
	1320        "Canton-Massillon, OH MSA"      
	1360        "Cedar Rapids, IA MSA"          
	1440        "Charleston-North Charleston, SC MSA"
	1480        "Charleston, WV MSA"            
	1520        "Charlotte-Gastonia-Rock Hill, NC-SC MSA"
	1560        "Chattanooga, TN-GA MSA "       
	1600        "Chicago, IL PMSA (Dekalb County not in sample) "
	1620        "Chico-Paradise, CA MSA"        
	1640        "Cincinnati, OH-KY-IN PMSA (Dearborn County, IN not identified"
	1660        "Clarksville-Hopkinsville, TN-KY MSA (Kentucky portion not in sample)"
	1680        "Cleveland-Lorain-Elyria, OH PMSA"
	1720        "Colorado Springs, CO MSA"      
	1760        "Columbia, SC MSA"              
	1800        "Columbus, GA-AL MSA (Alabama portion not in sample)"
	1840        "Columbus, OH MSA"              
	1880        "Corpus Christi, TX MSA"        
	1920        "Dallas, TX PMSA"               
	1930        "Danbury, CT PMSA"              
	1960        "Davenport-Moline-Rock Island, IA-IL MSA"
	2000        "Dayton-Springfield, OH MSA"    
	2020        "Daytona Beach, FL MSA"         
	2030        "Decatur, AL MSA"               
	2040        "Decatur, IL MSA"               
	2080        "Denver, CO PMSA"               
	2120        "Des Moines, IA MSA "           
	2160        "Detroit, MI PMSA"              
	2190        "Dover, DE MSA"                 
	2240        "Duluth-Superior, MN-WI MSA (Wisconsin portion not identified) "
	2281        "Dutchess County, NY PMSA"      
	2290        "Eau Claire, WI MSA"            
	2320        "El Paso, TX MSA"               
	2360        "Erie, PA MSA"                  
	2400        "Eugene-Springfield, OR MSA"    
	2440        "Evansville-Henderson, IN-KY MSA (Kentucky portion not identified) "
	2520        "Fargo-Moorhead, ND-MN MSA (Minnesota portion not identified)"
	2560        "Fayetteville, NC MSA"          
	2580        "Fayetteville-Springdale-Rogers, AR MSA"
	2600        "Fitchburg-Leominster, MA PMSA" 
	2640        "Flint, MI PMSA"                
	2650        "Florence, AL MSA"              
	2670        "Fort Collins-Loveland, CO MSA" 
	2680        "Fort Lauderdale, FL PMSA"      
	2700        "Fort Myers-Cape Coral, FL MSA" 
	2710        "Fort Pierce-Port St. Lucie, FL MSA"
	2720        "Fort Smith, AR-OK MSA (Oklahoma portion not in sample) "
	2750        "Fort Walton Beach, FL MSA"     
	2760        "Fort Wayne, IN MSA (Adams, Huntington, and Wells Counties not in sample)"
	2800        "Fort Worth-Arlington, TX PMSA" 
	2840        "Fresno, CA MSA"                
	2900        "Gainesville, FL MSA"           
	2920        "Galveston-Texas City, TX PMSA" 
	2960        "Gary, IN PMSA"                 
	3000        "Grand Rapids-Muskegon-Holland, MI MSA"
	3060        "Greeley, CO PMSA"              
	3080        "Green Bay, WI MSA"             
	3120        "Greenboro-Winston Salem-High Point, NC MSA"
	3150        "Greenville, NC MSA"            
	3160        "Greenville-Spartanburg-Anderson, SC MSA"
	3180        "Hagerstown, MD PMSA"           
	3200        "Hamilton-Middletown, OH PMSA"  
	3240        "Harrisburg-Lebanon-Carlisle, PA MSA "
	3280        "Hartford, CT MSA"              
	3290        "Hickory-Morgantown, NC MSA (Caldwell County not in sample)"
	3320        "Honolulu, HI MSA"              
	3350        "Houma, LA MSA"                 
	3360        "Houston, TX PMSA (Chambers County not in sample)"
	3400        "Huntington-Ashland, WV-KY-OH MSA (Kentucky and Ohio portions not"
	3440        "Huntsville, AL MSA (Limestone County not in sample)"
	3480        "Indianapolis, IN MSA (Madison County not in sample)"
	3520        "Jackson, MI MSA"               
	3560        "Jackson, MS MSA"               
	3600        "Jacksonville, FL MSA"          
	3610        "Jamestown, NY MSA"             
	3640        "Jersey City, NJ PMSA"          
	3660        "Johnson City-Kingsport-Bristol, TN-VA MSA (Virginia portion not identified) "
	3680        "Johnstown, PA MSA"             
	3720        "Kalamazoo-Battle Creek, MI MSA (Van Buren County not in sample)"
	3760        "Kansas City, MO-KS MSA"        
	3840        "Knoxville, TN MSA"             
	3880        "Lafayette, LA MSA (Acadia Parish not in sample)"
	3960        "Lake Charles, LA MSA"          
	3980        "Lakeland-Winter Haven, FL MSA" 
	4000        "Lancaster, PA MSA"             
	4040        "Lansing-East Lansing, MI MSA"  
	4080        "Laredo, TX MSA"                
	4100        "Las Cruces, NM MSA"            
	4120        "Las Vegas, NV-AZ MSA (Nye County, NV and Mohave County, AZ not in"
	4160        "Lawrence, MA-NH PMSA (New Hampshire portion not identified)"
	4280        "Lexington, KY MSA (Madison County not in sample)"
	4360        "Lincoln, NE MSA"               
	4400        "Little Rock-North Little Rock, AR MSA"
	4480        "Los Angeles-Long Beach, CA PMSA"
	4520        "Louisville, KY-IN MSA (Scott County, IN not in sample)"
	4560        "Lowell, MA-NH PMSA (New Hampshire portion not identified)"
	4600        "Lubbock, TX MSA"               
	4680        "Macon, GA MSA (Twiggs County not in sample)"
	4720        "Madison, WI MSA"               
	4760        "Manchester, NH PMSA"           
	4880        "McAllen-Edinburg-Mission, TX MSA"
	4890        "Medford-Ashland, OR MSA"       
	4900        "Melbourne-Titusville-Palm Bay, FL MSA"
	4920        "Memphis, TN-AR-MS MSA (Arkansas and Mississippi portions not"
	4940        "Merced, CA MSA"                
	5000        "Miami, FL PMSA"                
	5015        "Middlesex-Somerset-Hunterdon, NJ PMSA"
	5080        "Milwaukee-Waukesha, WI PMSA"   
	5120        "Minneapolis-St., Paul, MN-WI MSA (St. Croix County, WI not identified"
	5160        "Mobile, AL MSA "               
	5170        "Modesto, CA MSA"               
	5190        "Monmouth-Ocean, NJ PMSA"       
	5200        "Monroe, LA MSA"                
	5240        "Montgomery, AL MSA"            
	5330        "Myrtle Beach, SC MSA"          
	5345        "Naples, FL MSA"                
	5350        "Nashua, NH PMSA"               
	5360        "Nashville, TN MSA"             
	5380        "Nassau-Suffolk, NY PMSA"       
	5400        "New Bedford, MA PMSA"          
	5480        "New Haven-Meriden, CT PMSA"    
	5520        "New London-Norwich, CT-RI MSA (Rhode Island portion suppressed)"
	5560        "New Orleans, LA MSA"           
	5600        "New York, NY PMSA (White Plains Central City recoded to balance of"
	5640        "Newark, NJ PMSA"               
	5660        "Newburgh, NY-PA PMSA (Pennsylvania portion not identified)"
	5720        "Norfolk-Virginia Beach-Newport News, VA-NC MSA (Mathews County, VA"
	5775        "Oakland, CA PMSA"              
	5790        "Ocala, FL MSA"                 
	5800        "Odessa-Midland, TX MSA (Ector County not in sample)"
	5880        "Oklahoma City, OK MSA"         
	5910        "Olympia, WA PMSA"              
	5920        "Omaha, NE-IA MSA (Iowa portion not identified)"
	5945        "Orange County, CA PMSA"        
	5960        "Orlando, FL MSA"               
	6015        "Panama City, FL MSA"           
	6080        "Pensacola, FL MSA"             
	6120        "Peoria-Pekin, IL MSA"          
	6160        "Philadelphia, PA-NJ PMSA"      
	6200        "Phoenix-Mesa, AZ MSA"          
	6280        "Pittsburgh, PA MSA"            
	6400        "Portland, ME MSA"              
	6440        "Portland-Vancouver, OR-WA PMSA"
	6450        "Portsmouth-Rochester, NH-ME PMSA (Maine portion not identified)"
	6480        "Providence-Fall River-Warwick, RI-MA MSA (Newport County, RI portion"
	6520        "Provo-Orem, UT MSA "           
	6560        "Pueblo, CO MSA"                
	6580        "Punta Gorda, FL MSA"           
	6600        "Racine, WI PMSA"               
	6640        "Raleigh-Durham-Chapel Hill, NC MSA"
	6680        "Reading, PA MSA"               
	6720        "Reno, NV MSA "                 
	6760        "Richmond-Petersburg, VA MSA "  
	6780        "Riverside-San Bernardino, CA PMSA"
	6800        "Roanoke, VA MSA"               
	6840        "Rochester, NY MSA"             
	6880        "Rockford, IL MSA"              
	6920        "Sacramento, CA PMSA"           
	6960        "Saginaw-Bay City-Midland, MI MSA"
	7040        "St. Louis, MO-IL MSA (Crawford County, MO [part] not in sample) "
	7080        "Salem, OR PMSA"                
	7120        "Salinas, CA MSA"               
	7160        "Salt Lake City-Ogden, UT MSA"  
	7240        "San Antonio, TX MSA"           
	7320        "San Diego, CA MSA"             
	7360        "San Francisco, CA PMSA"        
	7400        "San Jose, CA PMSA"             
	7460        "San Luis Obispo-Atascadero-Paso Robles, CA MSA"
	7480        "Santa Barbara-Santa Maria-Lompoc, CA MSA"
	7490        "Santa Fe, NM MSA"              
	7500        "Santa Rosa, CA PMSA"           
	7510        "Sarasota-Bradenton, FL MSA"    
	7560        "Scranton-Wilkes Barre-Hazelton, PA MSA "
	7600        "Seattle-Bellevue-Everett, WA PMSA"
	7680        "Shreveport-Bossier City, LA MSA"
	7760        "Sioux Falls, SD MSA (Central City portion only identified)"
	7800        "South Bend, IN MSA"            
	7840        "Spokane, WA MSA"               
	7880        "Springfield, IL MSA"           
	7920        "Springfield, MO MSA (Webster County not in sample)"
	8000        "Springfield, MA MSA"           
	8040        "Stamford-Norwalk, CT PMSA"     
	8120        "Stockton-Lodi, CA MSA"         
	8160        "Syracuse, NY MSA (Cayuga County not in sample)"
	8200        "Tacoma, WA PMSA"               
	8240        "Tallahassee, FL MSA"           
	8280        "Tampa-St. Petersburg-Clearwater, FL MSA"
	8400        "Toledo, OH MSA"                
	8440        "Topeka, KS MSA (Central City portion only identified) "
	8480        "Trenton, NJ PMSA"              
	8520        "Tucson, AZ MSA"                
	8560        "Tulsa, OK MSA"                 
	8600        "Tuscaloosa, AL MSA"            
	8680        "Utica-Rome, NY MSA"            
	8720        "Vallejo-Fairfield-Napa, CA PMSA"
	8735        "Ventura, CA PMSA"              
	8760        "Vineland-Millville-Bridgeton, NJ PMSA"
	8780        "Visalia-Tulare-Porterville, CA MSA"
	8800        "Waco, TX MSA"                  
	8840        "Washington, DC-MD-VA-WV PMSA (West Virginia portion not identified)"
	8880        "Waterbury, CT PMSA"            
	8920        "Waterloo-Cedar Falls, IA MSA"  
	8960        "West Palm Beach-Boca Raton, FL MSA"
	9000        "Wheeling, WV-OH MSA (Ohio portion not identified) "
	9040        "Wichita, KS MSA"               
	9160        "Wilmington-Newark, DE-MD PMSA (Maryland portion suppressed)"
	9200        "Wilmington, NC MSA (Brunswick County not in sample)"
	9240        "Worcester, MA-CT PMSA (Connecticut portion suppressed)"
	9270        "Yolo, CA PMSA"                 
	9280        "York, PA MSA"                  
	9320        "Youngstown-Warren, OH MSA"     
	9340        "Yuba City, CA MSA"             
	9360        "Yuma, AZ MSA"                  
;
* cmsacode:  1994-;
label values cmsacode  P8L;
label define P8L
        0           "Not Identified or NonMetropolitan"
        7           "Boston-Worcester-Lawrence, MA-NH-ME-CT"
        14          "Chicago-Gary-Kenosha, IL-IN-WI"
        21          "Cincinnati-Hamilton, OH-KY-IN"
        28          "Cleveland-Akron, OH"
        31          "Dallas-Fort Worth, TX"
        34          "Denver-Boulder-Greeley, CO"
        35          "Detroit-Ann Arbor-Flint, MI"
        42          "Houston-Galveston-Brazoria, TX"
        49          "Los Angeles-Riverside-Orange County, CA"
        56          "Miami-Fort Lauderdale, FL"
        63          "Milwaukee-Racine, WI"
        70          "New York-Northern New Jersey-Long Island, NY-NJ-CT-PA"
        77          "Philadelphia-Wilmington-Atlantic City, PA-NJ-DE-MD"
        79          "Portland-Salem, OR-WA"
        82          "Sacramento-Yolo, CA"
        84          "San Francisco-Oakland-San Jose, CA"
        91          "Seattle-Tacoma-Bremerton, WA"
        97          "Washington-Baltimore, DC-MD-VA-WV"
;
* sex:  1979-;
label values sex    P9L;
label define P9L
        1           "Male"
        2           "Female"
;
* race:  1989-1995;
label values race   P10L;
label define P10L
        1           "White"
        2           "Black"
        3           "American Indian, Aleut, Eskimo"
        4           "Asian or Pacific Islander"
        5           "Other"
;
* ethnic:  1979-;
label values ethnic P11L;
label define P11L
        1           "Mexican American"
        2           "Chicano"
        3           "Mexican (Mexicano)"
        4           "Puerto Rican"
        5           "Cuban"
        6           "Central Or South American"
        7           "Other Spanish"
        8           "All Other"
        9           "Don't Know"
;
* marital:  1979-;
label values marital P12L;
label define P12L
        1           "Married, Civilian Spouse Present"
        2           "Married, Armed Forces Spouse Present"
        3           "Married, Spouse Absent (exc. Separated)"
        4           "Widowed"
        5           "Divorced"
        6           "Separated"
        7           "Never Married"
;
* pfamrel 1984-1988 differs from pfamrel 1993-;
* pfamrel:  1993-;
label values pfamrel P47L;
label define P47L
        0           "Not A Family Member"
        1           "Reference Person"
        2           "Spouse"
        3           "Child"
        4           "Other Relative (primary Family"
;
* veteran:  1979-;
label values veteran P13L;
label define P13L
        1           "Vietnam Era (8/64-4/75)"
        2           "Korean War (6/50-1/55)"
        3           "World War II (9/40-7/47)"
        4           "World War I (4/17-11/18)"
        5           "Other Service (all Other Periods)"
        6           "Nonveteran"
;
* grade92: 1992-;
label values grade92  P14L;
label define P14L
        31          "Less Than 1st Grade"
        32          "1st,2nd,3rd Or 4th Grade"
        33          "5th Or 6th Grade"
        34          "7th Or 8th Grade"
        35          "9th Grade"
        36          "10th Grade"
        37          "11th Grade"
        38          "12th Grade No Diploma"
        39          "High School Grad-Diploma Or Equiv (GED)"
        40          "Some College But No Degree"
        41          "Associate Degree-Occupational/Vocational"
        42          "Associate Deg.-Academic Program"
        43          "Bachelor's Degree(ex:ba,ab,bs)"
        44          "Master's(ex:MA,MS,MEng,MEd,MSW)"
        45          "Professional School Deg(ex:MD,DDS,DVM)"
        46          "Doctorate Degree(ex:PhD,EdD)"
;
* relref94:  1994-1995:2-;
label values relref94    P42L;
label define P42L
        1           "Ref Pers with other relativew in HH"
        2           "Ref pers with no other relatives in HH"
        3           "Spouse"
        4           "Child"
        5           "Grandchild"
        6           "Parent"
        7           "Brother/sister"
        8           "Other relative"
        9           "Foster child"
        10          "Non-rel of ref. per w/own rels in HH"
        11          "Partner/Roommate"
        12          "Non-rel of ref per w/no own rels in HH"
;
* relref95:  1995:3-;
label values relref95    P15L;
label define P15L
        1           "Ref Pers with other relativew in HH"
        2           "Ref pers with no other relatives in HH"
        3           "Spouse"
        4           "Child"
        5           "Grandchild"
        6           "Parent"
        7           "Brother/sister"
        8           "Other relative"
        9           "Foster child"
        10          "Non-rel of ref. per w/own rels in HH"
        11          "Not used"
        12          "Non-rel of ref per w/no own rels in HH"
        13          "Unmarried partner w/ own rels in HH"
        14          "Unmar. partner w/ no own rels in HH"
        15          "Housemate/roommate w/ own rels in HH"
        16          "Hsemate/roommate w/ no own rels in HH"
        17          "Roomer/boarder w/ own rels in HH in HH"
        18          "Roomer/brder w/ no own rels in HH"
;
* penatvty:  1994-2006;
label values penatvty native;   
label define native
	57          "United States"                 
	60          "American Samoa"                
	66          "Guam"                          
	72          "Puerto Rico"                   
	78          "U.S. Virgin Islands"           
        96          "U.S. Outlying Area"
	102         "Austria"                       
	103         "Belgium"                       
	105         "Czechoslovakia"                
	106         "Denmark"                       
	108         "Finland"                       
	109         "France"                        
	110         "Germany"                       
	116         "Greece"                        
	117         "Hungary"                       
	119         "Ireland/Eire"                  
	120         "Italy"                         
	126         "Holland/Netherlands"           
	127         "Norway"                        
	128         "Poland"                        
	129         "Portugal"                      
	130         "Azores"                        
	132         "Romania"                       
	134         "Spain"                         
	136         "Sweden"                        
	137         "Switzerland"                   
	138         "Great Britain"                 
	139         "England"                       
	140         "Scotland"                      
	142         "Northern Ireland"              
	147         "Yugoslavia"                    
	148         "Europe"                        
	155         "Czech Republic"                
	156         "Slovakia/Slovak Republic"      
	180         "USSR"                          
	183         "Latvia"                        
	184         "Lithuania"                     
	185         "Armenia"                       
	192         "Russia"                        
	195         "Ukraine"                       
	200         "Afghanistan"                   
	202         "Bangladesh"                    
	205         "Burma"                         
	206         "Cambodia"                      
	207         "China"                         
	209         "Hong Kong"                     
	210         "India"                         
	211         "Indonesia"                     
	212         "Iran"                          
	213         "Iraq"                          
	214         "Israel"                        
	215         "Japan"                         
	216         "Jordan"                        
	217         "Korea/South Korea"             
	218         "Korea/ South Korea"            
	221         "Laos"                          
	222         "Lebanon"                       
	224         "Malaysia"                      
	229         "Pakistan"                      
	231         "Philippines"                   
	233         "Saudi Arabia"                  
	234         "Singapore"                     
	237         "Syria"                         
	238         "Taiwan"                        
	239         "Thailand"                      
	240         "Turkey"                        
	242         "Vietnam"                       
	245         "Asia"                          
	252         "Middle East"                   
	253         "Palestine"                     
	300         "Bermuda"                       
	301         "Canada"                        
	304         "North America"                 
	310         "Belize"                        
	311         "Costa Rica"                    
	312         "El Salvador"                   
	313         "Guatemala"                     
	314         "Honduras"                      
	315         "Mexico"                        
	316         "Nicaragua"                     
	317         "Panama"                        
	318         "Central America"               
	333         "Bahamas"                       
	334         "Barbados"                      
	337         "Cuba"                          
	338         "Dominica"                      
	339         "Dominican Republic"            
	342         "Haiti"                         
	343         "Jamaica"                       
	351         "Trinidad & Tobago"             
	353         "Caribbean"                     
	375         "Argentina"                     
	376         "Bolivia"                       
	377         "Brazil"                        
	378         "Chile"                         
	379         "Colombia"                      
	380         "Ecuador"                       
	383         "Guyana"                        
	385         "Peru"                          
	387         "Uruguay"                       
	388         "Venezuela"                     
	389         "South America"                 
	415         "Egypt"                         
	417         "Ethiopia"                      
	421         "Ghana"                         
	427         "Kenya"                         
	436         "Morocco"                       
	440         "Nigeria"                       
	449         "South Africa"                  
	462         "Other Africa"                  
	468         "North Africa"                  
	501         "Australia"                     
	507         "Fiji"                          
	514         "New Zealand"                   
	527         "Pacific Islands"               
	555         "Other"                         
;
* pemntvty:  1994-2006;
label values pemntvty native;   
* pefntvty:  1994-2006;
label values pefntvty native;   
* prcitshp:  1994-;
label values prcitshp P16L;
label define P16L
        1           "Native, Born In US"
        2           "Native, Born in PR or US Outlying Area"
        3           "Native, Born Abroad Of US Parent(s)"
        4           "Foreign Born, US Cit By Naturalization"
        5           "Foreign Born, Not a US Citizen"
;
* prcitflg:  1994-;
label values prcitflg P34L;   
label define P34L    
	0           "Value - No Change"             
	1           "Blank - No Change"             
	2           "Don't Know - No Change"        
	3           "Refused - No Change"           
	10          "Value To Value"                
	11          "Blank To Value"                
	12          "Don't Know To Value"           
	13          "Refused To Value"              
	20          "Value To Longitudinal Value"   
	21          "Blank To Longitudinal Value"   
	22          "Don't Know To Longitudinal Value"
	23          "Refused To Longitudinal Value" 
	30          "Value to Allocated Value Long."
	31          "Blank to Allocated Value Long."
	32          "Don't Know to Allocated Value Long."
	33          "Refused to Allocated Value Long."
	40          "Value To Allocated Value"      
	41          "Blank To Allocated Value"      
	42          "Don't Know To Allocated Value" 
	43          "Refused To Allocated Value"    
	50          "Value To Blank"                
	52          "Don't Know To Blank"           
	53          "Refused To Blank"              
;
* meanings of last few codes of peinusyr change every year!!!;
* peinusyr:  1998-;
label values peinusyr P17L;
label define P17L
        -1          "Not In Universe (Born In U.S.)"
        0           "Not Foreign Born"
        1           "Before 1950"
        2           "1950-1959"
        3           "1960-1964"
        4           "1965-1969"
        5           "1970-1974"
        6           "1975-1979"
        7           "1980-1981"
        8           "1982-1983"
        9           "1984-1985"
        10          "1986-1987"
        11          "1988-1989"
        12          "1990-1991"
        13          "1992-1995"
;
* paidhre:  1979-;
label values paidhre    P18L;
label define P18L
        1           "Yes"
        2           "No"
;
* I25a:  1979-;
label values I25a P28L;   
label define P28L    
	0           "Value - No Change"             
	1           "Blank - No Change"             
	2           "Don't Know - No Change"        
	3           "Refused - No Change"           
	10          "Value To Value"                
	11          "Blank To Value"                
	12          "Don't Know To Value"           
	13          "Refused To Value"              
	20          "Value To Longitudinal Value"   
	21          "Blank To Longitudinal Value"   
	22          "Don't Know To Longitudinal Value"
	23          "Refused To Longitudinal Value" 
	30          "Value to Allocated Value Long."
	31          "Blank to Allocated Value Long."
	32          "Don't Know to Allocated Value Long."
	33          "Refused to Allocated Value Long."
	40          "Value To Allocated Value"      
	41          "Blank To Allocated Value"      
	42          "Don't Know To Allocated Value" 
	43          "Refused To Allocated Value"    
	50          "Value To Blank"                
	52          "Don't Know To Blank"           
	53          "Refused To Blank"              
;
* I25b:  1979-;
label values I25b P29L;   
label define P29L    
	0           "Value - No Change"             
	1           "Blank - No Change"             
	2           "Don't Know - No Change"        
	3           "Refused - No Change"           
	10          "Value To Value"                
	11          "Blank To Value"                
	12          "Don't Know To Value"           
	13          "Refused To Value"              
	20          "Value To Longitudinal Value"   
	21          "Blank To Longitudinal Value"   
	22          "Don't Know To Longitudinal Value"
	23          "Refused To Longitudinal Value" 
	30          "Value to Allocated Value Long."
	31          "Blank to Allocated Value Long."
	32          "Don't Know to Allocated Value Long."
	33          "Refused to Allocated Value Long."
	40          "Value To Allocated Value"      
	41          "Blank To Allocated Value"      
	42          "Don't Know To Allocated Value" 
	43          "Refused To Allocated Value"    
	50          "Value To Blank"                
	52          "Don't Know To Blank"           
	53          "Refused To Blank"              
;
* class94:  1994-;
label values class94 P19L;
label define P19L
        1           "Government - Federal"
        2           "Government - State"
        3           "Government - Local"
        4           "Private, For Profit"
        5           "Private, Nonprofit"
        6           "Self-Employed, Incorporated"
        7           "Self-Employed, Unincorporated"
        8           "Without Pay"
;
* lfsr94:  1994-;
label values lfsr94    P20L;
label define P20L
        1           "Employed-At Work"
        2           "Employed-Absent"
        3           "Unemployed-On Layoff"
        4           "Unemployed-Looking"
        5           "Retired-Not In Labor Force"
        6           "Disabled-Not In Labor Force"
        7           "Other-Not In Labor Force"
;
* some ind80 1983-1991 values are different from ind80 1992+ values;
* ind80:  1992-;
label values ind80    P36L;   
label define P36L    
	10          "Agricultural production, crops (01)"
	11          "Agricultural production, livestock (02)"
	12          "Veterinary services [1992+]"   
	20          "Landscape and horticultutal services [92+]"
	30          "Agricultural services, n.e.c. [92+]"
	31          "Forestry [92+]"                
	32          "Fishing, hunting, and trapping [92+]"
	40          "Metal mining (10)"             
	41          "Coal mining (11, 12)"          
	42          "Oil and gas extraction [92+]"  
	50          "Nonmetallic mining and quarrying, except fuel (14)"
	60          "CONSTRUCTION (15, 16, 17)"     
	100         "Meat products (201)"           
	101         "Dairy products (202)"          
	102         "Canned, frozen, and preserved fruits and vegetables"
	110         "Grain mill products (204)"     
	111         "Bakery products (205)"         
	112         "Sugar and confectionery products (206)"
	120         "Beverage industries (208)"     
	121         "Miscellaneous food preparations & kindred products (207,209)"
	122         "Not specified food industries" 
	130         "Tobacco manufactures (21)"     
	131         "not used"                      
	132         "Knitting mills (225)"          
	140         "Dyeing & finishing textiles, except wool & knit goods (226)"
	141         "Carpets and rugs [92+]"        
	142         "Yarn, thread, and fabric mills (228, 221-224)"
	150         "Miscellaneous textile mill products (229)"
	151         "Apparel and accessories, except knit (231-238)"
	152         "Miscellaneous fabricated textile products (239)"
	160         "Pulp, paper, and paperboard mills (261-263, 266)"
	161         "Miscellaneous paper and pulp products (264)"
	162         "Paperboard containers and boxes (265)"
	171         "Newspaper publishing and printing (271)"
	172         "Printing, publishing, & allied industries, except newspapers (272-279)"
	180         "Plastics, synthetics, and resins (282)"
	181         "Drugs (283)"                   
	182         "Soaps and cosmetics (284)"     
	190         "Paints, varnishes, and related products (285)"
	191         "Agricultural chemicals (287)"  
	192         "Industrial and miscellaneous chemicals (281, 286, 289)"
	200         "Petroleum refining (291)"      
	201         "Miscellaneous petroleum and coal products (295, 299)"
	210         "Tires and inner tubes (301)"   
	211         "Other rubber products, and plastics footwear and belting (302-304,306)"
	212         "Miscellaneous plastics products (307)"
	220         "Leather tanning and finishing (311)"
	221         "Footwear, except rubber and plastic (313, 314)"
	222         "Leather products, except footwear (315-317, 319)"
	230         "Logging (241)"                 
	231         "Sawmills, planning mills, and millwork (242, 243)"
	232         "Wood buildings and mobile homes (245)"
	241         "Miscellaneous wood products (244, 249)"
	242         "Furniture and fixtures (25)"   
	250         "Glass and glass products (321-323)"
	251         "Cement, concrete, gypsum, and plaster products (324, 327)"
	252         "Structural clay products (325)"
	261         "Pottery and related products (326)"
	262         "Miscellaneous nonmetallic mineral & stone products (328,329)"
	270         "Blast furnaces, steelworks, rolling & finishing mills (331)"
	271         "Iron and steel foundries (332)"
	272         "Primary aluminum industries (3334, part 334, 3353-3355,3361)"
	280         "Other primary metal industries (3331-3333, 3339, part 334,335 1 3356, 3357, 3362, 3369, 339)"
	281         "Cutlery, handtools, and general hardware [92+]"
	282         "Fabricated structural metal products (344)"
	290         "Screw machine products (345)"  
	291         "Metal forgings and stampings (346)"
	292         "Ordnance (348)"                
	300         "Miscellaneous fabricated metal products (341,343,347,349)"
	301         "Not specified metal industries"
	310         "Engines and turbines (351)"    
	311         "Farm machinery and equipment (352)"
	312         "Construction and material handling machines (353)"
	320         "Metalworking machinery (354)"  
	321         "Office and accounting machines (357, except 3573)"
	322         "Computers and related equipment [92+]"
	331         "Machinery, except electrical, n.e.c. (355, 356, 358, 359)"
	332         "Not specified machinery"       
	340         "Household appliances (363)"    
	341         "Radio, T.V., and communication equipment (365, 366)"
	342         "Electrical machinery, equipment, and supplies, n.e.c. (361, 362, 364, 367, 369)"
	350         "Not specified electrical machinery, equipment, & supplies"
	351         "Motor vehicles and motor vehicle equipment (371)"
	352         "Aircraft and parts (372)"      
	360         "Ship and boat building and repairing (373)"
	361         "Railroad locomotives and equipment (374)"
	362         "Guided missiles, space vehicles, and parts (376)"
	370         "Cycles and miscellaneous transportation equipment (375, 379)"
	371         "Scientific and controlling instruments (381, 382)"
	372         "Medical, dental, and optical instruments and supplies [92+]"
	380         "Photographic equipment and supplies (386)"
	381         "Watches, clocks, and clockwork operated devices (387)"
	390         "Toys, amusement, and sporting goods (394)"
	391         "Miscellaneous manufacturing industries (39 except 394)"
	392         "Not specified manufacturing industries*"
	400         "Railroads (40)"                
	401         "Bus service and urban transit (41 except 412)"
	402         "Taxicab service (412)"         
	410         "Trucking service (421, 423)"   
	411         "Warehousing and storage (422)" 
	412         "U.S. Postal Service (43)"      
	420         "Water transportation (44)"     
	421         "Air transportation (45)"       
	422         "Pipe lines, except natural gas (46)"
	432         "Services incidental to transportation (47)"
	440         "Radio and television broadcasting and cable [92+]"
	441         "Telephone communications [92+]"
	442         "Telegraph and miscellaneous communication services (482, 489)"
	450         "Electric light and power [92+]"
	451         "Gas and steam supply systems [92+]"
	452         "Electric and gas, and other combinations [92+]"
	470         "Water supply and irrigation (494, 497)"
	471         "Sanitary services (495)"       
	472         "Not specified utilities"       
	500         "Motor vehicles and equipment (501)"
	501         "Furniture and home furnishings (502)"
	502         "Lumber and construction materials (503)"
	510         "Professional and commercial equipment and supplies [92+]"
	511         "Metals and minerals, except petroleum (505)"
	512         "Electrical goods (506)"        
	521         "Hardware, plumbing and heating supplies (507)"
	530         "Machinery, equipment, and supplies (508)"
	531         "Scrap and waste materials (5093)"
	532         "Miscellaneous wholesale, durable goods (5094, 5099)"
	540         "Paper and paper products (511)"
	541         "Drugs, chemicals, and allied products (512, 516)"
	542         "Apparel, fabrics, and notions (513)"
	550         "Groceries and related products (514)"
	551         "Farm products - raw materials (515)"
	552         "Petroleum products (517)"      
	560         "Alcoholic beverages (518)"     
	561         "Farm supplies (5191)"          
	562         "Miscellaneous wholesale, nondurable goods (5194, 5198, 5199)"
	571         "Not specified wholesale trade" 
	580         "Lumber and building material retailing (521, 523)"
	581         "Hardware stores (525)"         
	582         "Retail nurseries and garden stores (526)"
	590         "Mobile home dealers (527)"     
	591         "Department stores (531)"       
	592         "Variety stores (533)"          
	600         "Miscellaneous general merchandise stores (539)"
	601         "Grocery stores (541)"          
	602         "Dairy products stores (545)"   
	610         "Retail bakeries (546)"         
	611         "Food stores, n.e.c. (542, 543, 544, 549)"
	612         "Motor vehicle dealers (551, 552)"
	620         "Auto and home supply stores (553)"
	621         "Gasoline service stations (554)"
	622         "Miscellaneous vehicle dealers (555, 556, 557, 559)"
	623         "Apparel and accessory stores, except shoe [92+]"
	630         "Shoe stores [92+]"             
	631         "Furniture and home furnishings stores [92+]"
	632         "Household appliance stores [92+]"
	633         "Radio, TV, and computer stores [92+]"
	640         "Music stores [92+]"            
	641         "Eating and drinking places (58)"
	642         "Drug stores (591)"             
	650         "Liquor stores (592)"           
	651         "Sporting goods, bicycles, and hobby stores (5941,5945,5946)"
	652         "Book and stationery stores (5942, 5943)"
	660         "Jewelry stores (5944)"         
	661         "Gift, novelty, and souvenir shops [92+]"
	662         "Sewing, needlework, and piece goods stores [92+]"
	663         "Catalog and mail order houses [92+]"
	670         "Vending machine operators (5962)"
	671         "Direct selling establishments (5963)"
	672         "Fuel dealers [92+]"            
	681         "Retail florists (5992)"        
	682         "Miscellaneous retail stores (593,5947,5948,5993,5994,5999)"
	691         "Not specified retail trade"    
	700         "Banking (60)"                  
	701         "Savings institutions, including credit unions [92+]"
	702         "Credit agencies, n.e.c. (61, except 612)"
	710         "Security, commodity brokerage, and investment companies (62,67)"
	711         "Insurance (63, 64)"            
	712         "Real estate, including real estate-insurance offices [92+]"
	721         "Advertising (731)"             
	722         "Services to dwellings and other buildings (734)"
	731         "Personnel supply services (736)"
	732         "Computer and data processinf services [92+]"
	740         "Detective and protective sevices [92+]"
	741         "Business services, n.e.c [92+]"
	742         "Automotive rental and leasing, without drivers [92+]"
	750         "Automoblie parking and carwashes [92+]"
	751         "Automotive repair and related services [92+]"
	752         "Electrical repair shops (762, 7694)"
	760         "Miscellaneous repair services (763, 764, 7692, 7699)"
	761         "Private households (88)"       
	762         "Hotels and motels (701)"       
	770         "Lodging places, except hotels and motels (702, 703, 704)"
	771         "Laundry, cleaning, and garment services (721)"
	772         "Beauty shops (723)"            
	780         "Barber shops (724)"            
	781         "Funeral service and crematories (726)"
	782         "Shoe repair shops (725)"       
	790         "Dressmaking shops (part 729)"  
	791         "Miscellaneous personal services (722, part 729)"
	800         "Theaters and motion pictures (78, 792)"
	801         "Video tape rental [92+]"       
	802         "Bowling centers [92+]"         
	810         "Miscellaneous entertainment and recreational services [92+]"
	812         "Offices and clinics of physicians [92+]"
	820         "Offices and clinics of dentists [92+]"
	821         "Offices and clinics of chiropractors [92+]"
	822         "Offices and clinics of optometrists [92+]"
	830         "Offices and clinics of health practitioners, n.e.c [92+]"
	831         "Hospitals (806)"               
	832         "Nursing and personal care facilities (805)"
	840         "Health services, n.e.c. (807, 808, 809)"
	841         "Legal services (81)"           
	842         "Elementary and secondary schools (821)"
	850         "Colleges and universities (822)"
	851         "Vocational schools [92+]"      
	852         "Libraries (823)"               
	860         "Educational services, n.e.c. (829)"
	861         "Job training and vocational rehabilitation services (833)"
	862         "Child day care services (835)" 
	863         "Family child care homes [92+]" 
	870         "Residential care facilities, without nursing (836)"
	871         "Social services, n.e.c. (832, 839)"
	872         "Museums, art galleries, and zoos (84)"
	873         "Labor unions [92+]"            
	880         "Religious organizations (866)" 
	881         "Membership organizations, n.e.c [92+]"
	882         "Engineering, architectural, and surveying services (891)"
	890         "Accounting, auditing, and bookkeeping services (893)"
	891         "Research, development, and testing services [92+]"
	892         "Management and public relations services [92+]"
	893         "Miscellaneous professional and related services [92+]"
	900         "Executive and legislative offices (911-913)"
	901         "General government, n.e.c. (919)"
	910         "Justice, public order, and safety (92)"
	921         "Public finance, taxation, and monetary policy (93)"
	922         "Administration of human resources programs (94)"
	930         "Administration of environmental quality & housing programs (95)"
	931         "Administration ofeconomic programs (96)"
	932         "National securityand international affairs (97)"
	991         "Assigned to persons whose labor force status is unemployed and whose last job was Armed Forces"
	992         "Assigned to persons whose labor force status is unemployed"
;
*dind:  1979-;
label values dind     P37L;   
label define P37L    
	1           "Agriculture Service"           
	2           "Other Agriculture"             
	3           "Mining"                        
	4           "Construction"                  
	5           "Lumber and wood products , except furniture"
	6           "Furniture and fixtures"        
	7           "Stone clay ,glass and concrete product"
	8           "Primary metals"                
	9           "Fabricated metal"              
	10          "Not specified metal industries"
	11          "Machinery, except electrical"  
	12          "Electrical Machinery, equipment ,and supplies"
	13          "Motor vehicles and equipment"  
	14          "Aircrafts and parts"           
	15          "Other transportation equipment"
	16          "Professional and photographic equipment"
	17          "Toys, amusements ,and sporting goods"
	18          "Miscellaneous and not specified manufacturing industries"
	19          "Food and kindred products"     
	20          "Tobacco manufactures"          
	21          "Textile mill products"         
	22          "Apparel and other finished textile prod."
	23          "Paper and allied products"
	24          "Printing ,publishing and allied industries"
	25          "Chemicals and allied products" 
	26          "Petroleum and coal products"   
	27          "Rubber and miscellaneous plastics products"
	28          "Leather and leather products"  
	29          "Transportation"                
	30          "Communications"                
	31          "Utilities and Sanitary Services"
	32          "Wholesale Trade"               
	33          "Retail Trade"                  
	34          "Banking and Other Finance"     
	35          "Insurance and Real Estate"     
	36          "Private Household Services"    
	37          "Business Services"             
	38          "Repair Services"               
	39          "Personal Services , Except Private Household"
	40          "Entertainment and Recreation Services"
	41          "Hospitals"                     
	42          "Health Services , Except Hospitals"
	43          "Educational Services"          
	44          "Social Services"               
	45          "Other professional Services"   
	46          "Forestry and Fisheries"        
	51          "Armed Forces last job, currently unemployed"
	52          "Public Administration"         
;
* occ80:  1983-;
* occ80 is has too many values for Stata 6 to accept;
* if using Stata 7, do d:\sources\occ80_95_00 ;
* docc80:  1983-;
label values docc80   P40L;   
label define P40L    
	1           "Officials & administrators, pub. admin."
	2           "Other executive, admin. & managerial"
	3           "Management related occupations"
	4           "Engineers"                     
	5           "Mathematical and computer scientists"
	6           "Natural Scientists"            
	7           "Health diagnosing occs."       
	8           "Health assessment and treatment occs."
	9           "Teachers, college and university"
	10          "Teachers, except college and university"
	11          "Lawyers and judges"            
	12          "Other professional specialty occs."
	13          "Health technologists and technicians"
	14          "Engineering and science technicians"
	15          "Technicians, exc. health,engin.&science"
	16          "Supervisors and proprietors, sales occs"
	17          "Sales reps, finance and business serv."
	18          "Sales reps, commodities, exc. retail"
	19          "Sales workers, retail & personal serv."
	20          "Sales related occs"            
	21          "Supervisors, admin. support"   
	22          "Computer equipment operators"  
	23          "Secretaries, stenographers, and typists"
	24          "Financial records processing"  
	25          "Mail and message distributing" 
	26          "Other admin support, inc. clerical"
	27          "Private household service occs"
	28          "Protective service"            
	29          "Food service"                  
	30          "Health service"                
	31          "Cleaning and building service" 
	32          "Personal service"              
	33          "Mechanics and repairers"       
	34          "Construction trades"           
	35          "Other precision prod., craft, & repair"
	36          "Machine opertrs and tenders,exc precis."
	37          "Fabricatrs,assemblrs,inspectrs,samplrs"
	38          "Motor vehicle operators"       
	39          "Other transp. & material moving occs"
	40          "Construction laborers"         
	41          "Freight, stock & materials handlers"
	42          "Oth handlrs,equip.cleanrs,helprs,labrrs"
	43          "Farm operators and managers"   
	44          "Farm workers and related occupations"
	45          "Forestry and fishing occs"     
	46          "Armed forces"                  
;
* eligible:  1979:5-;
label values eligible  P21L;
label define P21L
        1           "Earnings Eligible For Edit"
        2           "Other" 
;
* reason94:  1994-; 
label values reason94  P22L;
label define P22L
        1           "Slack Work/Business Conditions"
        2           "Seasonal Work"
        3           "Job Started Or Ended During Week"
        4           "Vacation/Personal Day"
        5           "Own Illness/Injury/Medical Appointment"
        6           "Holiday (legal Or Religious)"
        7           "Child Care Problems"
        8           "Other Family/Personal Obligations"
        9           "Labor Dispute"
        10          "Weather Affected Job"
        11          "School/Training"
        12          "Civic/Military Duty"
        13          "Other Reason"
;
* absent94:  1994-;
label values absent94 P23L;
label define P23L
        1           "On Layoff"
        2           "Slack Work/Business Conditions"
        3           "Waiting For A New Job To Begin"
        4           "Vacation/Personal Days"
        5           "Own Illness/Injury/Medical Problems"
        6           "Child Care Problems"
        7           "Other Family/Personal Obligation"
        8           "Maternity/Paternity Leave"
        9           "Labor Dispute"
        10          "Weather Affected Job"
        11          "School/Training"
        12          "Civic/Military Duty"
        13          "Does Not Work In The Business"
        14          "Other (specify)"
;
*why3594:  1994-;
label values why3594  P3594L;   
label define P3594L    
	1           "Usu. FT-Slack Work/Business Conditions"
	2           "Usu. FT-Seasonal Work"         
	3           "Usu. FT-Job Started/Ended During Week"
	4           "Usu. FT-Vacation/Personal Day" 
	5           "Usu. FT-Own Illness/Injury/Medical Appt"
	6           "Usu. FT-Holiday (religious Or Legal)"
	7           "Usu. FT-Child Care Problems"   
	8           "Usu. FT-Other Fam/Pers Obligations"
	9           "Usu. FT-Labor Dispute"         
	10          "Usu. FT-Weather Affected Job"  
	11          "Usu. FT-School/Training"       
	12          "Usu. FT-Civic/Military Duty"   
	13          "Usu. FT-Other Reason"          
	14          "Usu. PT-Slack Work/Business Conditions"
	15          "Usu. PT-Could Only Find PT Work"
	16          "Usu. PT-Seasonal Work"         
	17          "Usu. PT-Child Care Problems"   
	18          "Usu. PT-Other Fam/Pers Obligations"
	19          "Usu. PT-Health/Medical Limitations"
	20          "Usu. PT-School/Training"       
	21          "Usu. PT-Retired/Ss Limit On Earnings"
	22          "Usu. PT-Workweek <35 Hours"    
	23          "Usu. PT-Other Reason"          
;
* ftpt94:  1994-;
label values ftpt94 P160L;
label define P160L
        1           "Not In Labor Force"
        2           "FT Hours (35+), Usually FT"
        3           "PT For Economic Reasons, Usually FT"
        4           "PT For Non-Economic Reasons, Usually FT"
        5           "Not At Work, Usually FT"
        6           "PT Hours, Usually PT For Economic Reasons"
        7           "PT hrs, Usually PT For Non-Economic"
        8           "FT Hours, Usually PT For Economic Reas"
        9           "FT hrs, Usually PT For Non-Economic"
        10          "Not at work, Usually Part-Time"
        11          "Unemployed FT"
        12          "Unemployed PT"
;
* studftpt:  1984-;
label values studftpt  P24L;
label define P24L
        1           "Full-time"
        2           "Part-time"
;
* unionmme:  1983-; 
label values unionmme P25L;
label define P25L
        1           "Yes"
        2           "No"
;
* unioncov:  1983-;
label values unioncov P26L;
label define P26L
        1           "Yes"
        2           "No"
;
* otc:  1994-;
label values otc    yesno;
label define yesno
        1           "Yes"
        2           "No"
;
* hrhtype:  1984-;
label values hrhtype hrhtype;
label define hrhtype
      0            "Non-interview household"
      1            "Husband/wife primary fam (neither in Armed Forces)"
      2            "Husband/wife primary fam (one/both in Armed Forces)"
      3            "Unmarried civilian male primary fam householder"
      4            "Unmarried civilian female primary fam householder"
      5            "Unmarried primary fam householder in Armed Forces"
      6            "Civilian male primary individual"
      7            "Civilian female primary individual"
      8            "Primary ind HH - reference person in Armed Forces"
      9            "Group quarters with family"
     10            "Group quarters without family"
;
