*by Jean Roth Thu Mar 17 2005 14:38:42
*Please report errors to jroth@nber.org

* Note:  Variable names in Stata are case-sensitive
#delimit ;
* occ00:  2000-;
label values occ00    occ00l ;
label define occ00l
	10          "Chief executives (11-1011)"    
	20          "General and operations managers (11-1021)"
	40          "Advertising and promotions managers (11-2011)"
	50          "Marketing and sales managers (11-2020)"
	60          "Public relations managers (11-2031)"
	100         "Administrative services managers (11-3011)"
	110         "Computer and information systems managers (11-3021)"
	120         "Financial managers (11-3031)"  
	130         "Human resources managers (11-3040)"
	140         "Industrial production managers (11-3051)"
	150         "Purchasing managers (11-3061)" 
	160         "Transportation, storage, and distribution managers (11-3071)"
	200         "Farm, ranch, and other agricultural managers (11-9011)"
	210         "Farmers and ranchers (11-9012)"
	220         "Construction managers (11-9021)"
	230         "Education administrators (11-9030)"
	300         "Engineering managers (11-9041)"
	310         "Food service managers (11-9051)"
	320         "Funeral directors (11-9061)"   
	330         "Gaming managers (11-9071)"     
	340         "Lodging managers (11-9081)"    
	350         "Medical and health services managers (11-9111)"
	360         "Natural sciences managers (11-9121)"
	410         "Property, real estate, and community association managers (11-9141)"
	420         "Social and community service managers (11-9151)"
	430         "Managers, all other (11-9199)" 
	500         "Agents and business managers of artists, performers, and athletes (13-1011)"
	510         "Purchasing agents and buyers, farm products (13-1021)"
	520         "Wholesale and retail buyers, except farm products (13-1022)"
	530         "Purchasing agents, except wholesale, retail, and farm products (13-1023)"
	540         "Claims adjusters, appraisers, examiners, and investigators (13-1030)"
	560         "Compliance officers, except agriculture, construction, health and safety, and transportation (13-1041)"
	600         "Cost estimators (13-1051)"     
	620         "Human resources, training, and labor relations specialists (13-1070)"
	700         "Logisticians (13-1081)"        
	710         "Management analysts (13-1111)" 
	720         "Meeting and convention planners (13-1121)"
	730         "Other business operations specialists (13-11XX)"
	800         "Accountants and auditors (13-2011)"
	810         "Appraisers and assessors of real estate (13-2021)"
	820         "Budget analysts (13-2031)"     
	830         "Credit analysts (13-2041)"     
	840         "Financial analysts (13-2051)"  
	850         "Personal financial advisors (13-2052)"
	860         "Insurance underwriters (13-2053)"
	900         "Financial examiners (13-2061)" 
	910         "Loan counselors and officers (13-2070)"
	930         "Tax examiners, collectors, and revenue agents (13-2081)"
	940         "Tax prepares (13-2082)"        
	950         "Financial specialists, all other (13-2099)"
	1000        "Computer scientists and systems analysts (15-10XX)"
	1010        "Computer programmers (15-1021)"
	1020        "Computer software engineers (15-1030)"
	1040        "Computer support specialists (15-1041)"
	1060        "Database administrators (15-1061)"
	1100        "Network and computer systems administrators (15-1071)"
	1110        "Network systems and data communications analysts (15-1081)"
	1200        "Actuaries (15-2011)"           
	1210        "Mathematicians (15-2021)"      
	1220        "Operations research analysts (15-2031)"
	1230        "Statisticians (15-2041)"       
	1240        "Miscellaneous mathematical science occupations (15-2090)"
	1300        "Architects, except naval (17-1010)"
	1310        "Surveyors, cartographers, and photogrammetrists (17-1020)"
	1320        "Aerospace engineers (17-2011)" 
	1330        "Agricultural engineers (17-2021)"
	1340        "Biomedical engineers (17-2031)"
	1350        "Chemical engineers (17-2041)"  
	1360        "Civil engineers (17-2051)"     
	1400        "Computer hardware engineers (17-2061)"
	1410        "Electrical and electronic engineers (17-2070)"
	1420        "Environmental engineers (17-2081)"
	1430        "Industrial engineers, including health and safety (17-2110)"
	1440        "Marine engineers and naval architects (17-2121)"
	1450        "Materials engineers (17-2131)" 
	1460        "Mechanical engineers (17-2141)"
	1500        "Mining and geological engineers, including mining safety engineers (17-2151)"
	1510        "Nuclear engineers (17-2161)"   
	1520        "Petroleum engineers (17-2171)" 
	1530        "Engineers, all other (17-2199)"
	1540        "Drafters (17-3010)"            
	1550        "Engineering technicians, except drafters (17-3020)"
	1560        "Surveying and mapping technicians (17-3031)"
	1600        "Agricultural and food scientists (19-1010)"
	1610        "Biological scientists (19-1020)"
	1640        "Conservation scientists and foresters (19-1030)"
	1650        "Medical scientists (19-1040)"  
	1700        "Astronomers and physicists (19-2010)"
	1710        "Atmospheric and space scientists (19-2021)"
	1720        "Chemists and materials scientists (19-2030)"
	1740        "Environmental scientists and geoscientists (19-2040)"
	1760        "Physical scientists, all other (19-2099)"
	1800        "Economists (19-3011)"          
	1810        "Market and survey researchers (19-3020)"
	1820        "Psychologists (19-3030)"       
	1830        "Sociologists (19-3041)"        
	1840        "Urban and regional planners (19-3051)"
	1860        "Miscellaneous social scientists and related workers (19-3090)"
	1900        "Agricultural and food science technicians (19-4011)"
	1910        "Biological technicians (19-4021)"
	1920        "Chemical technicians (19-4031)"
	1930        "Geological and petroleum technicians (19-4041)"
	1940        "Nuclear technicians (19-4051)" 
	1960        "Other life, physical, and social science technicians (19-40XX)"
	2000        "Counselors (21-1010)"          
	2010        "Social workers (21-1020)"      
	2020        "Miscellaneous community and social service specialists (21-1090)"
	2040        "Clergy (21-2011)"              
	2050        "Directors, religious activities and education (21-2021)"
	2060        "Religious workers, all other (21-2099)"
	2100        "Lawyers, Judges, magistrates, and other judicial workers (23-1011)"
	2140        "Paralegals and legal assistants (23-2011)"
	2150        "Miscellaneous legal support workers (23-2090)"
	2200        "Postsecondary teachers (25-1000)"
	2300        "Preschool and kindergarten teachers (25-2010)"
	2310        "Elementary and middle school teachers (25-2020)"
	2320        "Secondary school teachers (25-2030)"
	2330        "Special education teachers (25-2040)"
	2340        "Other teachers and instructors (25-3000)"
	2400        "Archivists, curators, and museum technicians (25-4010)"
	2430        "Librarians (25-4021)"          
	2440        "Library technicians (25-4031)" 
	2540        "Teacher assistants (25-9041)"  
	2550        "Other education, training, and library workers (25-90XX)"
	2600        "Artists and related workers (27-1010)"
	2630        "Designers (27-1020)"           
	2700        "Actors (27-2011)"              
	2710        "Producers and directors (27-2012)"
	2720        "Athletes, coaches, umpires, and related workers (27-2020)"
	2740        "Dancers and choreographers (27-2030)"
	2750        "Musicians, singers, and related workers (27-2040)"
	2760        "Entertainers and performers, sports and related workers, all other (27-2099)"
	2800        "Announcers (27-3010)"          
	2810        "News analysts, reporters and correspondents (27-3020)"
	2820        "Public relations specialists (27-3031)"
	2830        "Editors (27-3041)"             
	2840        "Technical writers (27-3042)"   
	2850        "Writers and authors (27-3043)" 
	2860        "Miscellaneous media and communication workers (27-3090)"
	2900        "Broadcast and sound engineering technicians and radio operators (27-4010)"
	2910        "Photographers (27-4021)"       
	2920        "Television, video, and motion picture camera operators and editors (27-4030)"
	2960        "Media and communication equipment workers, all other (27-4099)"
	3000        "Chiropractors (29-1011)"       
	3010        "Dentists (29-1020)"            
	3030        "Dietitians and nutritionists (29-1031)"
	3040        "Optometrists (29-1041)"        
	3050        "Pharmacists (29-1051)"         
	3060        "Physicians and surgeons (29-1060)"
	3110        "Physician assistants (29-1071)"
	3120        "Podiatrists (29-1081)"         
	3130        "Registered nurses (29-1111)"   
	3140        "Audiologists (29-1121)"        
	3150        "Occupational therapists (29-1122)"
	3160        "Physical therapists (29-1123)" 
	3200        "Radiation therapists (29-1124)"
	3210        "Recreational therapists (29-1125)"
	3220        "Respiratory therapists (29-1126)"
	3230        "Speech-language pathologists (29-1127)"
	3240        "Therapists, all other (29-1129)"
	3250        "Veterinarians (29-1131)"       
	3260        "Health diagnosing and treating practitioners, all other (29-1199)"
	3300        "Clinical laboratory technologists and technicians (29-2010)"
	3310        "Dental hygienists (29-2021)"   
	3320        "Diagnostic related technologists and technicians (29-2030)"
	3400        "Emergency medical technicians and paramedics (29-2041)"
	3410        "Health diagnosing and treating practitioner support technicians (29-2050)"
	3500        "Licensed practical and licensed vocational nurses (29-2061)"
	3510        "Medical records and health information technicians (29-2071)"
	3520        "Opticians, dispensing (29-2081)"
	3530        "Miscellaneous health technologists and technicians (29-2090)"
	3540        "Other healthcare practitioners and technical occupations (29-9000)"
	3600        "Nursing, psychiatric, and home health aides (31-1010)"
	3610        "Occupational therapist assistants and aides (31-2010)"
	3620        "Physical therapist assistants and aides (31-2020)"
	3630        "Massage therapists (31-9011)"  
	3640        "Dental assistants (31-9091)"   
	3650        "Medical assistants and other healthcare support occupations (31-909X)"
	3700        "First-line supervisors/managers of correctional officers (33-1011)"
	3710        "First-line supervisors/managers of police and detectives (33-1012)"
	3720        "First-line supervisors/managers of fire fighting and prevention workers (33-1021)"
	3730        "Supervisors, protective service workers, all other (33-1099)"
	3740        "Fire fighters (33-2011)"       
	3750        "Fire inspectors (33-2020)"     
	3800        "Bailiffs, correctional officers, and jailers (33-3010)"
	3820        "Detectives and criminal investigators (33-3021)"
	3830        "Fish and game wardens (33-3031)"
	3840        "Parking enforcement workers (33-3041)"
	3850        "Police and sheriff's patrol officers (33-3051)"
	3860        "Transit and railroad police (33-3052)"
	3900        "Animal control workers (33-9011)"
	3910        "Private detectives and investigators (33-9021)"
	3920        "Security guards and gaming surveillance officers (33-9030)"
	3940        "Crossing guards (33-9091)"     
	3950        "Lifeguards and other protective service workers (33-909X)"
	4000        "Chefs and head cooks (35-1011)"
	4010        "First-line supervisors/managers of food preparation and serving workers (35-1012)"
	4020        "Cooks (35-2010)"               
	4030        "Food preparation workers (35-2021)"
	4040        "Bartenders (35-3011)"          
	4050        "Combined food preparation and serving workers, including fast food (35-3021)"
	4060        "Counter attendants, cafeteria, food concession, and coffee shop (35-3022)"
	4110        "Waiters and waitresses (35-3031)"
	4120        "Food servers, nonrestaurant (35-3041)"
	4130        "Dining room and cafeteria attendants and bartender helpers (35-9011)"
	4140        "Dishwashers (35-9021)"         
	4150        "Hosts and hostesses, restaurant, lounge, and coffee shop (35-9031)"
	4160        "Food preparation and serving related workers, all other (35-9099)"
	4200        "First-line supervisors/managers of housekeeping and janitorial workers (37-1011)"
	4210        "First-line supervisors/managers of landscaping, lawn service, and groundskeeping workers (37-1012)"
	4220        "Janitors and building cleaners (31-201X)"
	4230        "Maids and housekeeping cleaners (37-2012)"
	4240        "Pest control workers (37-2021)"
	4250        "Grounds maintenance workers (37-3010)"
	4300        "First-line supervisors/managers of gaming workers (39-1010)"
	4320        "First-line supervisors/managers of personal service workers (39-1021)"
	4340        "Animal trainers (39-2011)"     
	4350        "Nonfarm animal caretakers (39-2021)"
	4400        "Gaming services workers (39-3010)"
	4410        "Motion picture projectionists (39-3021)"
	4420        "Ushers, lobby attendants, and ticket takers (39-3031)"
	4430        "Miscellaneous entertainment attendants and related workers (39-3090)"
	4460        "Funeral service workers (39-4000)"
	4500        "Barbers (39-5011)"             
	4510        "Hairdressers, hairstylists, and cosmetologists (39-5012)"
	4520        "Miscellaneous personal appearance workers (39-5090)"
	4530        "Baggage porters, bellhops, and concierges (39-6010)"
	4540        "Tour and travel guides (39-6020)"
	4550        "Transportation attendants (39-6030)"
	4600        "Child care workers (39-9011)"  
	4610        "Personal and home care aides (39-9021)"
	4620        "Recreation and fitness workers (39-9030)"
	4640        "Residential advisors (39-9041)"
	4650        "Personal care and service workers, all other  (39-9099)"
	4700        "First-line supervisors/managers of retail sales workers (41-1011)"
	4710        "First-line supervisors/managers of non-retail sales workers (41-1012)"
	4720        "Cashiers (41-2010)"            
	4740        "Counter and rental clerks (41-2021)"
	4750        "Parts salespersons (41-2022)"  
	4760        "Retail salespersons (41-2031)" 
	4800        "Advertising sales agents (41-3011)"
	4810        "Insurance sales agents (41-3021)"
	4820        "Securities, commodities, and financial services sales agents (41-3031)"
	4830        "Travel agents (41-3041)"       
	4840        "Sales representatives, services, all other (41-3099)"
	4850        "Sales representatives, wholesale and manufacturing (41-4010)"
	4900        "Models, demonstrators, and product promoters (41-9010)"
	4920        "Real estate brokers and sales agents (41-9020)"
	4930        "Sales engineers (41-9031)"     
	4940        "Telemarketers (41-9041)"       
	4950        "Door-to-door sales workers, news and street vendors, and related workers (41-9091)"
	4960        "Sales and related workers, all other (41-9099)"
	5000        "First-line supervisors/managers of office and administrative support workers (43-1011)"
	5010        "Switchboard operators, including answering service (43-2011)"
	5020        "Telephone operators (43-2021)" 
	5030        "Communications equipment operators, all other (43-2099)"
	5100        "Bill and account collectors (43-3011)"
	5110        "Billing and posting clerks and machine operators (43-3021)"
	5120        "Bookkeeping, accounting, and auditing clerks (43-3031)"
	5130        "Gaming cage workers (43-3041)" 
	5140        "Payroll and timekeeping clerks (43-3051)"
	5150        "Procurement clerks (43-3061)"  
	5160        "Tellers (43-3071)"             
	5200        "Brokerage clerks (43-4011)"    
	5210        "Correspondence clerks (43-4021)"
	5220        "Court, municipal, and license clerks (43-4031)"
	5230        "Credit authorizers, checkers, and clerks (43-4041)"
	5240        "Customer service representatives (43-4051)"
	5250        "Eligibility interviewers, government programs (43-4061)"
	5260        "File Clerks (43-4071)"         
	5300        "Hotel, motel, and resort desk clerks (43-4081)"
	5310        "Interviewers, except eligibility and loan (43-4111)"
	5320        "Library assistants, clerical (43-4121)"
	5330        "Loan interviewers and clerks (43-4131)"
	5340        "New accounts clerks (43-4141)" 
	5350        "Order clerks (43-4151)"        
	5360        "Human resources assistants, except payroll and timekeeping (43-4161)"
	5400        "Receptionists and information clerks (43-4171)"
	5410        "Reservation and transportation ticket agents and travel clerks (43-4181)"
	5420        "Information and record clerks, all other (43-4199)"
	5500        "Cargo and freight agents (43-5011)"
	5510        "Couriers and messengers (43-5021)"
	5520        "Dispatchers (43-5030)"         
	5530        "Meter readers, utilities (43-5041)"
	5540        "Postal service clerks (43-5051)"
	5550        "Postal service mail carriers (43-5052)"
	5560        "Postal service mail sorters, processors, and processing machine operators (43-5053)"
	5600        "Production, planning, and expediting clerks (43-5061)"
	5610        "Shipping, receiving, and traffic clerks (43-5071)"
	5620        "Stock clerks and order fillers (43-5081)"
	5630        "Weighers, measurers, checkers, and samplers, recordkeeping (43-5111)"
	5700        "Secretaries and administrative assistants (43-6010)"
	5800        "Computer operators (43-9011)"  
	5810        "Data entry keyers (43-9021)"   
	5820        "Word processors and typists (43-9022)"
	5830        "Desktop publishers (43-9031)"  
	5840        "Insurance claims and policy processing clerks (43-9041)"
	5850        "Mail clerks and mail machine operators, except postal service (43-9051)"
	5860        "Office clerks, general (43-9061)"
	5900        "Office machine operators, except computer (43-9071)"
	5910        "Proofreaders and copy markers (43-9081)"
	5920        "Statistical assistants (43-9111)"
	5930        "Office and administrative support workers, all other (43-9199)"
	6000        "First-line supervisors/managers of farming, fishing, and forestry workers (45-1010)"
	6010        "Agricultural inspectors (45-2011)"
	6020        "Animal breeders (45-2021)"     
	6040        "Graders and sorters, agricultural products (45-2041)"
	6050        "Miscellaneous agricultural workers  (45-2090)"
	6100        "Fishers and related fishing workers (45-3011)"
	6110        "Hunters and trappers (45-3021)"
	6120        "Forest and conservation workers (45-4011)"
	6130        "Logging workers (45-4020)"     
	6200        "First-line supervisors/managers of construction trades and extraction workers (47-1011)"
	6210        "Boilermakers (47-2011)"        
	6220        "Brickmasons, blockmasons, and stonemasons (47-2020)"
	6230        "Carpenters (47-2031)"          
	6240        "Carpet, floor, and tile installers and finishers (47-2040)"
	6250        "Cement masons, concrete finishers, and terrazzo workers (47-2050)"
	6260        "Construction laborers (47-2061)"
	6300        "Paving, surfacing, and tamping equipment operators (47-2071)"
	6310        "Pile-driver operators (47-2072)"
	6320        "Operating engineers and other construction equipment operators (47-2073)"
	6330        "Drywall installers, ceiling tile installers, and tapers (47-2080)"
	6350        "Electricians (47-2111)"        
	6360        "Glaziers (47-2121)"            
	6400        "Insulation workers (47-2130)"  
	6420        "Painters, construction and maintenance (47-2141)"
	6430        "Paperhangers (47-2142)"        
	6440        "Pipelayers, plumbers, pipefitters, and steamfitters (47-2150)"
	6460        "Plasterers and stucco masons (47-2161)"
	6500        "Reinforcing iron and rebar workers (47-2171)"
	6510        "Roofers (47-2181)"             
	6520        "Sheet metal workers (47-2211)" 
	6530        "Structural iron and steel workers (47-2221)"
	6600        "Helpers, construction trades (47-3010)"
	6660        "Construction and building inspectors (47-4011)"
	6700        "Elevator installers and repairers (47-4021)"
	6710        "Fence erectors (47-4031)"      
	6720        "Hazardous materials removal workers (47-4041)"
	6730        "Highway maintenance workers (47-4051)"
	6740        "Rail-track laying and maintenance equipment operators (47-4061)"
	6750        "Septic tank servicers and sewer pipe cleaners (47-4071)"
	6760        "Miscellaneous construction and related workers (47-4090)"
	6800        "Derrick, rotary drill, and service unit operators, oil, gas, and mining (47-5010)"
	6820        "Earth drillers, except oil and gas (47-5021)"
	6830        "Explosives workers, ordnance handling experts, and blasters (47-5031)"
	6840        "Mining machine operators (47-5040)"
	6910        "Roof bolters, mining (47-5061)"
	6920        "Roustabouts, oil and gas (47-5071)"
	6930        "Helpers--extraction workers (47-5081)"
	6940        "Other extraction workers (47-50XX)"
	7000        "First-line supervisors/managers of mechanics, installers, and repairers (49-1011)"
	7010        "Computer, automated teller, and office machine repairers (49-2011)"
	7020        "Radio and telecommunications equipment installers and repairers (49-2020)"
	7030        "Avionics technicians (49-2091)"
	7040        "Electric motor, power tool, and related repairers (49-2092)"
	7050        "Electrical and electronics installers and repairers, transportation equipment (49-2093)"
	7100        "Electrical and electronics repairers, industrial and utility (49-209X)"
	7110        "Electronic equipment installers and repairers, motor vehicles (49-2096)"
	7120        "Electronic home entertainment equipment installers and repairers (49-2097)"
	7130        "Security and fire alarm systems installers (49-2098)"
	7140        "Aircraft mechanics and service technicians (49-3011)"
	7150        "Automotive body and related repairers (49-3021)"
	7160        "Automotive glass installers and repairers (49-3022)"
	7200        "Automotive service technicians and mechanics (49-3023)"
	7210        "Bus and truck mechanics and diesel engine specialists (49-3031)"
	7220        "Heavy vehicle and mobile equipment service technicians and mechanics (49-3040)"
	7240        "Small engine mechanics (49-3050)"
	7260        "Miscellaneous vehicle and mobile equipment mechanics, installers, and repairers (49-3090)"
	7300        "Control and valve installers and repairers (49-9010)"
	7310        "Heating, air conditioning, and refrigeration mechanics and installers (49-9021)"
	7320        "Home appliance repairers (49-9031)"
	7330        "Industrial and refractory machinery mechanics (49-904X)"
	7340        "Maintenance and repair workers, general (49-9042)"
	7350        "Maintenance workers, machinery (49-9043)"
	7360        "Millwrights (49-9044)"         
	7410        "Electrical power-line installers and repairers (49-9051)"
	7420        "Telecommunications line installers and repairers (49-9052)"
	7430        "Precision instrument and equipment repairers (49-9060)"
	7510        "Coin, vending, and amusement machine servicers and repairers (49-9091)"
	7520        "Commercial divers (49-9092)"   
	7540        "Locksmiths and safe repairers (49-9094)"
	7550        "Manufactured building and mobile home installers (49-9095)"
	7560        "Riggers (49-9096)"             
	7600        "Signal and track switch repairers (49-9097)"
	7610        "Helpers--installation, maintenance, and repair workers  (49-9098)"
	7620        "Other installation, maintenance, and repair workers (49-909X)"
	7700        "First-line supervisors/managers of production and operating workers (51-1011)"
	7710        "Aircraft structure, surfaces, rigging, and systems assemblers (51-2011)"
	7720        "Electrical, electronics, and electromechanical assemblers (51-2020)"
	7730        "Engine and other machine assemblers (51-2031)"
	7740        "Structural metal fabricators and fitters (51-2041)"
	7750        "Miscellaneous assemblers and fabricators (51-2090)"
	7800        "Bakers (51-3011)"              
	7810        "Butchers and other meat, poultry, and fish processing workers (51-3020)"
	7830        "Food and tobacco roasting, baking, and drying machine operators and tenders (51-3091)"
	7840        "Food batchmakers (51-3092)"    
	7850        "Food cooking machine operators and tenders (51-3093)"
	7900        "Computer control programmers and operators (51-4010)"
	7920        "Extruding and drawing machine setters, operators, and tenders, metal and plastic (51-4021)"
	7930        "Forging machine setters, operators, and tenders, metal and plastic (51-4022)"
	7940        "Rolling machine setters, operators, and tenders, metal and plastic (51-4023)"
	7950        "Cutting, punching, and press machine setters, operators, and tenders, metal and plastic (51-4031)"
	7960        "Drilling and boring machine tool setters, operators, and tenders, metal and plastic  (51-4032)"
	8000        "Grinding, lapping, polishing, and buffing machine tool setters, operators, and tenders, metal and plastic (51-4033)"
	8010        "Lathe and turning machine tool setters, operators, and tenders, metal and plastic (51-4034)"
	8020        "Milling and planing machine setters, operators, and tenders, metal and plastic (51-4035)"
	8030        "Machinists (51-4041)"          
	8040        "Metal furnace and kiln operators and tenders (51-4050)"
	8060        "Model makers and patternmakers, metal and plastic (51-4060)"
	8100        "Molders and molding machine setters, operators, and tenders, metal and plastic (51-4070)"
	8120        "Multiple machine tool setters, operators, and tenders, metal and plastic  (51-4081)"
	8130        "Tool and die makers (51-4111)" 
	8140        "Welding, soldering, and brazing workers (51-4120)"
	8150        "Heat treating equipment setters, operators, and tenders, metal and plastic (51-4191)"
	8160        "Lay-out workers, metal and plastic (51-4192)"
	8200        "Plating and coating machine setters, operators, and tenders, metal and plastic (51-4193)"
	8210        "Tool grinders, filers, and sharpeners (51-4194)"
	8220        "Metalworkers and plastic workers, all other (51-4199)"
	8230        "Bookbinders and bindery workers (51-5010)"
	8240        "Job printers (51-5021)"        
	8250        "Prepress technicians and workers (51-5022)"
	8260        "Printing machine operators (51-5023)"
	8300        "Laundry and dry-cleaning workers (51-6011)"
	8310        "Pressers, textile, garment, and related materials (51-6021)"
	8320        "Sewing machine operators (51-6031)"
	8330        "Shoe and leather workers and repairers (51-6041)"
	8340        "Shoe machine operators and tenders (51-6042)"
	8350        "Tailors, dressmakers, and sewers (51-6050)"
	8360        "Textile bleaching and dyeing machine operators and tenders (51-6061)"
	8400        "Textile cutting machine setters, operators, and tenders (51-6062)"
	8410        "Textile knitting and weaving machine setters, operators, and tenders (51-6063)"
	8420        "Textile winding, twisting, and drawing out machine setters, operators, and tenders (51-6064)"
	8430        "Extruding and forming machine setters, operators, and tenders, synthetic and glass fibers (51-6091)"
	8440        "Fabric and apparel patternmakers (51-6092)"
	8450        "Upholsterers (51-6093)"        
	8460        "Textile, apparel, and furnishings workers, all other (51-6099)"
	8500        "Cabinetmakers and bench carpenters (51-7011)"
	8510        "Furniture finishers (51-7021)" 
	8520        "Model makers and patternmakers, wood (51-7030)"
	8530        "Sawing machine setters, operators, and tenders, wood (51-7041)"
	8540        "Woodworking machine setters, operators, and tenders, except sawing (51-7042)"
	8550        "Woodworkers, all other (51-7099)"
	8600        "Power plant operators, distributors, and dispatchers (51-8010)"
	8610        "Stationary engineers and boiler operators (51-8021)"
	8620        "Water and liquid waste treatment plant and system operators (51-8031)"
	8630        "Miscellaneous plant and system operators (51-8090)"
	8640        "Chemical processing machine setters, operators, and tenders (51-9010)"
	8650        "Crushing, grinding, polishing, mixing, and blending workers (51-9020)"
	8710        "Cutting workers (51-9030)"     
	8720        "Extruding, forming, pressing, and compacting machine setters, operators, and tenders (51-9041)"
	8730        "Furnace, kiln, oven, drier, and kettle operators and tenders (51-9051)"
	8740        "Inspectors, testers, sorters, samplers, and weighers (51-9061)"
	8750        "Jewelers and precious stone and metal workers (51-9071)"
	8760        "Medical, dental, and ophthalmic laboratory technicians (51-9080)"
	8800        "Packaging and filling machine operators and tenders (51-9111)"
	8810        "Painting workers (51-9120)"    
	8830        "Photographic process workers and processing machine operators (51-9130)"
	8840        "Semiconductor processors (51-9141)"
	8850        "Cementing and gluing machine operators and tenders (51-9191)"
	8860        "Cleaning, washing, and metal pickling equipment operators and tenders (51-9192)"
	8900        "Cooling and freezing equipment operators and tenders (51-9193)"
	8910        "Etchers and engravers (51-9194)"
	8920        "Molders, shapers, and casters, except metal and plastic (51-9195)"
	8930        "Paper goods machine setters, operators, and tenders (51-9196)"
	8940        "Tire builders (51-9197)"       
	8950        "Helpers--production workers (51-9198)"
	8960        "Production workers, all other (51-9199)"
	9000        "Supervisors, transportation and material moving workers (53-1000)"
	9030        "Aircraft pilots and flight engineers (53-2010)"
	9040        "Air traffic controllers and airfield operations specialists (53-2020)"
	9110        "Ambulance drivers and attendants, except emergency medical technicians (53-3011)"
	9120        "Bus drivers (53-3020)"         
	9130        "Driver/sales workers and truck drivers (53-3030)"
	9140        "Taxi drivers and chauffeurs (53-3041)"
	9150        "Motor vehicle operators, all other (53-3099)"
	9200        "Locomotive engineers and operators (53-4010)"
	9230        "Railroad brake, signal, and switch operators (53-4021)"
	9240        "Railroad conductors and yardmasters (53-4031)"
	9260        "Subway, streetcar, and other rail transportation workers (53-30XX)"
	9300        "Sailors and marine oilers (53-5011)"
	9310        "Ship and boat captains and operators (53-5020)"
	9330        "Ship engineers (53-5031)"      
	9340        "Bridge and lock tenders (53-6011)"
	9350        "Parking lot attendants (53-6021)"
	9360        "Service station attendants (53-6031)"
	9410        "Transportation inspectors (53-6051)"
	9420        "Other transportation workers  (53-60XX)"
	9500        "Conveyor operators and tenders (53-7011)"
	9510        "Crane and tower operators (53-7021)"
	9520        "Dredge, excavating, and loading machine operators (53-7030)"
	9560        "Hoist and winch operators (53-7041)"
	9600        "Industrial truck and tractor operators (53-7051)"
	9610        "Cleaners of vehicles and equipment (53-7061)"
	9620        "Laborers and freight, stock, and material movers, hand (53-7062)"
	9630        "Machine feeders and offbearers (53-7063)"
	9640        "Packers and packagers, hand (53-7064)"
	9650        "Pumping station operators (53-7070)"
	9720        "Refuse and recyclable material collectors (53-7081)"
	9730        "Shuttle car operators (53-7111)"
	9740        "Tank car, truck, and ship loaders (53-7121)"
	9750        "Material moving workers, all other (53-7199)"
	9840        "Armed Forces"                  
	9970        "Problem referral"              
	9990        "Not reporteds(Includes Refused, Classified, blank and all other noncodable entries)"
	9800        "Military officer special and tactical operations leaders/managers (55-1010)"
	9810        "First-line enlisted military supervisors/managers (55-2010)"
	9820        "Military enlisted tactical operations and air/weapons specialists and crew members (55-3010)"
	9830        "Military, rank not specified (99-9999)"
;
