*by Jean Roth Wed Jan 24 18:05:34 EST 2001
*The entire label set for occ70 is too large for Stata
*Its limit on the number of values seems to be about 303
*Please report errors to jroth@nber.org

* Note:  Variable names in Stata are case-sensitive
#delimit ;
* occ70:  1979-1982;
label values occ70    P71L;   
label define P71L    
	1           "Accountants"                   
	2           "Architects"                    
	3           "Computer programmers"          
	4           "Computer systems analysts"     
	5           "Computer specialists, n.e.c."  
	6           "Aeronautical and astronautical engineers"
	10          "Chemical engineers"            
	11          "Civil engineers"               
	12          "Electrical and electronic engineers"
	13          "Industrial engineers"          
	14          "Mechanical engineers"          
	15          "Metallurgical and materials engineers"
	20          "Mining engineers"              
	21          "Petroleum engineers"           
	22          "Sales engineers"               
	23          "Engineers, n.e.c."             
	24          "Farm management advisors"      
	25          "Foresters and conservationists"
	26          "Home management advisors"      
	30          "Judges"                        
	31          "Lawyers"                       
	32          "Librarians"                    
	33          "Archivists and curators"       
	34          "Actuaries"                     
	35          "Mathematicians"                
	36          "Statisticians"                 
	42          "Agricultural scientists"       
	43          "Atmospheric and space scientists"
	44          "Biological scientists"         
	45          "Chemists"                      
	51          "Geologists"                    
	52          "Marine scientists"             
	53          "Physicists and astronomers"    
	54          "Life and physical scientists, n.e.c."
	55          "Operations and systems researchers and analysts"
	56          "Personnel and labor relations workers"
	61          "Chiropractors"                 
	62          "Dentists"                      
	63          "Optometrists"                  
	64          "Pharmacists"                   
	65          "Physicians, medical and osteopathic"
	71          "Podiatrists"                   
	72          "Veterinarians"                 
	73          "Health practitioners, n.e.c."  
	74          "Dietitians"                    
	75          "Registered nurses"             
	76          "Therapists"                    
	80          "Clinical laboratory, technologists and technicians"
	81          "Dental hygienists"             
	82          "Health record technologists and technicians"
	83          "Radiologic technologists and technicians"
	84          "Therapy assistants"            
	85          "Health technologists and technicians, n.e.c."
	86          "Clergyman"                     
	90          "Religious workers, n.e.c."     
	91          "Economists"                    
	92          "Political scientists"          
	93          "Psychologists"                 
	94          "Sociologists"                  
	95          "Urban and regional planners"   
	96          "Social scientists, n.e.c."     
	100         "Social workers"                
	101         "Recreation workers"            
	102         "Agriculture teachers"          
	103         "Atmospheric, earth, marine, and space teachers"
	104         "Biology teachers"              
	105         "Chemistry teachers"            
	110         "Physics teachers"              
	111         "Engineering teachers"          
	112         "Mathematics teachers"          
	113         "Health specialties teachers"   
	114         "Psychology teachers"           
	115         "Business and commerce teachers"
	116         "Economists"                    
	120         "History teachers"              
	121         "Sociology teachers"            
	122         "Social science teachers, n.e.c."
	123         "Art, drama, and music teachers"
	124         "Coaches and physical education teachers"
	125         "Education teachers"            
	126         "English teachers"              
	130         "Foreign language teachers"     
	131         "Home economics teachers"       
	132         "Law teachers"                  
	133         "Theology teachers"             
	134         "Trade, industrial and technical teachers"
	135         "Miscellaneous teachers, college and university"
	140         "Teachers, college and university, subject not specified"
	141         "Adult education teachers"      
	142         "Elementary school teachers"    
	143         "Prekindergarten and kindergarten teachers"
	144         "Secondary school teachers"     
	145         "Teachers, except college and university, n.e.c."
	150         "Agriculture and biological technicians, except health"
	151         "Chemical technicians"          
	152         "Draftsmen"                     
	153         "Electrical and electronic engineering technicians"
	154         "Industrial engineering technicians"
	155         "Mechanical engineering technicians"
	156         "Mathematical technicians"      
	161         "Surveyors"                     
	162         "Engineering and science technicians, n.e.c."
	163         "Airplane pilots"               
	164         "Air traffic controllers"       
	165         "Embalmers"                     
	170         "Flight engineers"              
	171         "Radio operators"               
	172         "Tool programmers, numerical control"
	173         "Technicians, n.e.c."           
	174         "Vocational and educational counselors"
	175         "Actors"                        
	180         "Athletes and kindred workers"  
	181         "Authors"                       
	182         "Dancers"                       
	183         "Designers"                     
	184         "Editors and reporters"         
	185         "Musicians and composers"       
	190         "Painters and sculptors"        
	191         "Photographers"                 
	192         "Public relations men and publicity writers"
	193         "Radio and television announcers"
	194         "Writers, artists, and entertainers, n.e.c."
	195         "Research workers, not specified"
	196         "Professional, technical, and kindred workers --allocated"
	201         "Assessors, controllers, and treasurers;"
	202         "Bank officers and financial managers"
	203         "Buyers and shippers, farm products"
	205         "Buyers, wholesale and retail trade"
	210         "Credit men"                    
	211         "Funeral directors"             
	212         "Health administrators"         
	213         "Construction inspectors, public administration"
	215         "Inspectors, except construction; public administration"
	216         "Managers and superintendents, building"
	220         "Office managers, n.e.c."       
	221         "Officers, pilots, and pursers; ship"
	222         "Officials and administrators; public administration, n.e.c."
	223         "Officials of lodges, societies, and unions"
	224         "Postmasters and mail superintendents"
	225         "Purchasing agents and buyers, n.e.c."
	226         "Railroad conductors"           
	230         "Restaurant, cafeteria, and bar managers"
	231         "Sales managers and department heads, retail trade"
	233         "Sales managers. except retail trade"
	235         "School administrators, college"
	240         "School administrators, elementary and secondary"
	245         "Managers and administrators. n.e.c."
	246         "Managers and administrators, except farm-- allocated"
	260         "Advertising agents and salesmen"
	261         "Auctioneers"                   
	262         "Demonstrators"                 
	264         "Hucksters and peddlers"        
	265         "Insurance agents, brokers, and underwriters"
	266         "Newsboys"                      
	270         "Real estate agents and brokers"
	271         "Stock and bond salesmen"       
	280         "Salesmen and sales clerks. n.e.c."
	281         "Sales representatives, manufacturing industries"
	282         "Sales representatives, wholesale trade"
	283         "Sales clerks, retail trade"    
	284         "Salesmen, retail trade"        
	285         "Salesmen of services and construction"
	296         "Sales workers--allocated"      
	301         "Bank tellers"                  
	303         "Billing clerks"                
	305         "Bookkeepers"                   
	310         "Cashiers"                      
	311         "Clerical assistants, social welfare"
	312         "Clerical supervisors, n.e.c."  
	313         "Collectors, bill and account"  
	314         "Counter clerks, except food"   
	315         "Dispatchers and starters, vehicle"
	320         "Enumerators and interviewers"  
	321         "Estimators and investigators, n.e.c."
	323         "Expediters and production controllers"
	325         "File clerks"                   
	326         "Insurance adjusters, examiners, and investigators"
	330         "Library attendants and assistants"
	331         "Mail carriers,post office"     
	332         "Mail handlers,except post office"
	333         "Messengers andoffice boys"     
	334         "Meter readers, utilities"      
	341         "Bookkeepingand billing machine operators"
	342         "Calculatingmachine operators"  
	343         "Computer and peripheral equipment operators"
	344         "Duplicating machine operators" 
	345         "Key punch operators"           
	350         "Tabulating machine operators"  
	355         "Office machine operators, n.e.c."
	360         "Payroll and timekeeping clerks"
	361         "Postal clerks"                 
	362         "Proofreaders"                  
	363         "Real estate appraisers"        
	364         "Receptionists"                 
	370         "Secretaries, legal"            
	371         "Secretaries, medical"          
	372         "Secretaries, n.e.c."           
	374         "Shipping and receiving clerks" 
	375         "Statistical clerks"            
	376         "Stenographers"                 
	381         "Stock clerks and storekeepers" 
	382         "Teacher aides, exc. school monitors"
	383         "Telegraph messengers"          
	384         "Telegraph operators"           
	385         "Telephone operators"           
	390         "Ticket, station, and express agents"
	391         "Typists"                       
	392         "Weighers"                      
	394         "Miscellaneous clerical workers"
	395         "Not specified clerical workers"
	396         "Clerical and kindred workers -- allocated"
	401         "Automobile accessories installers"
	402         "Bakers"                        
	403         "Blacksmiths"                   
	404         "Boilermakers"                  
	405         "Bookbinders"                   
	410         "Brickmasons and stonemasons"   
	411         "Brickmasons and stonemasons, apprentices"
	412         "Bulldozer operators"           
	413         "Cabinetmakers"                 
	415         "Carpenters"                    
	416         "Carpenter apprentices"         
	420         "Carpet installers"             
	421         "Cement and concrete finishers" 
	422         "Compositors and typesetters"   
	423         "Printing trades apprenticest exc. pressmen"
	424         "Cranemen, derrickmen, and hoistmen"
	425         "Decorators and window dressers"
	426         "Dental laboratory technicians" 
	430         "Electricians"                  
	431         "Electrician apprentices"       
	433         "Electric power linemen and cablemen"
	434         "Electrotypers and stereotypers"
	435         "Engravers, exc. photoengravers"
	436         "Excavating, grading,and road machine operators; exc. bulldozer"
	440         "Floor layers; exc. tile setters"
	441         "Foremen, n.e.c."               
	442         "Forgemen and hammermen"        
	443         "Furniture and wood finishers"  
	444         "Furriers"                      
	445         "Glaziers"                      
	446         "Heat treaters; annealers, and temperers"
	450         "Inspectors; scalers# and graders; log and lumber"
	452         "Inspectors, n.e.c."            
	453         "Jewelers and watchmakers"      
	454         "Job and die setters, metal"    
	455         "Locomotive engineers"          
	456         "Locomotive firemen"            
	461         "Machinists"                    
	462         "Machinist apprentices"         
	470         "Air conditioning, heating, and refrigeration"
	471         "Aircraft"                      
	472         "Automobile body repairmen"     
	473         "Automobile mechanics"          
	474         "Automobile mechanic apprentices"
	475         "Data processing machine repairmen"
	480         "Farm implement"                
	481         "Heavy equipment mechanics, incl. diesel"
	482         "Household appliance and accessory installers and mechanics"
	483         "Loom fixers"                   
	484         "Office machine"                
	485         "Radio and television"          
	486         "Railroad and car shop"         
	491         "Mechanic, exc. auto., apprentices"
	492         "Miscellaneous mechanics and repairmen"
	495         "Not specified mechanics and repairmen"
	501         "Millers; grain, flour, and feed"
	502         "Millwrights"                   
	503         "Molders, metal"                
	504         "Molder apprentices"            
	505         "Motion picture projectionists" 
	506         "Opticians, and lens grinders and polishers"
	510         "Painters, construction and maintenance"
	511         "Painter apprentices"           
	512         "Paperhangers"                  
	514         "Pattern and model makers, exc. paper"
	515         "Photoengravers and lithographers"
	516         "Piano and organ tuners and repairmen"
	520         "Plasterers"                    
	521         "Plasterer apprentices"         
	522         "Plumbers and pipe fitters"     
	523         "Plumber and pipe fitter apprentices"
	525         "Power station operators"       
	530         "Pressmen and plate printers, printing"
	531         "Pressman apprentices"          
	533         "Rollers and finishers, metal"  
	534         "Roofers and slaters"           
	535         "Sheetmetal workers and tinsmiths"
	536         "Sheetmetal apprentices"        
	540         "Shipfitters"                   
	542         "Shoe repairmen"                
	543         "Sign painters and letterers"   
	545         "Stationary engineers"          
	546         "Stone cutters and stone carvers"
	550         "Structural metal craftsmen"    
	551         "Tailors"                       
	552         "Telephone installers and repairmen"
	554         "Telephone linemen and splicers"
	560         "Tile setters"                  
	561         "Tool and die makers"           
	562         "Tool and die maker apprentices"
	563         "Upholsterers"                  
	571         "Specified craft apprentices, n.e.c."
	572         "Not specified apprentices"     
	575         "Craftsmen and kindred workers, n.e.c."
	580         "Former members of the Armed Forces"
	586         "Craftsmen and kindred workers--allocated"
	601         "Asbestos and insulation workers"
	602         "Assemblers"                    
	603         "Blasters and powdermen"        
	604         "Bottling and canning operatives"
	610         "Checkers, examiners, and inspectors, manufacturing"
	611         "Clothing ironers and pressers" 
	612         "Cutting operatives, n.e.c."    
	613         "Dressmakers and seamstresses, except factory"
	614         "Drillers, earth"               
	615         "Dry wall installers and lathers"
	620         "Dyers"                         
	621         "Filers, polishers, sanders, and buffers"
	622         "Furnacemen, smeltermen, and pourers"
	623         "Garage workers and gas station attendants"
	624         "Graders and sorters, manufacturing"
	625         "Produce graders and packers, except factory and farm"
	626         "Heaters, metal"                
	630         "Laundry and dry cleaning operatives, n.e.c."
	631         "Meat cutters and butchers, exc. manufacturing"
	633         "Meat cutters and butchers, manufacturing"
	634         "Meat wrappers,retail trade"    
	635         "Metal platers"                 
	636         "Milliners"                     
	640         "Mine operatives, n.e.c."       
	641         "Mixing operatives"             
	642         "Oilers and greasers, exc. auto"
	643         "Packers and wrappers, except meat and produce"
	644         "Painters, manufactured articles"
	645         "Photographic process workers"  
	650         "Drill press operatives"        
	651         "Grinding machine operatives"   
	652         "Lathe and milling machine operatives"
	653         "Precision machine operatives, n.e.c."
	656         "Punch and stamping press operatives"
	660         "Riveters and fasteners"        
	661         "Sailors and deckhands"         
	662         "Sawyers"                       
	663         "Sewers and stitchers"          
	664         "Shoemaking machine operatives" 
	666         "Stationary firemen"            
	670         "Carding, lapping; and combing operatives"
	671         "Knitters, loopers, and toppers"
	672         "Spinners, twisters, and winders"
	673         "Weavers"                       
	674         "Textile operatives, n.e.c."    
	680         "Welders and flame-cutters"     
	681         "Winding operatives, n.e.c."    
	690         "Machine operatives, miscellaneous specified"
	692         "Machine operatives, not specified"
	694         "Miscellaneous operatives"      
	695         "Not specified operatives"      
	696         "Operatives, except transport--allocated"
	701         "Boatmen and canalmen"          
	703         "Busdrivers"                    
	704         "Conductors and motormen, urban rail transit"
	705         "Deliverymen and routemen"      
	706         "Fork lift and tow motor operatives"
	710         "Motormen; mine, factory, logging camp, etc."
	711         "Parking attendants"            
	712         "Railroad brakemen"             
	713         "Railroad switchmen"            
	714         "Taxicab drivers and chauffeurs"
	715         "Truck drivers"                 
	726         "Transport equipment operatives--allocated"
	740         "Animal caretakers, exc. farm"  
	750         "Carpenters' helpers"           
	751         "Construction laborers, exc. carpenters' helpers"
	752         "Fishermen and oystermen"       
	753         "Freight and material handlers" 
	754         "Garbage collectors"            
	755         "Gardeners and groundskeepers, exc. farm"
	760         "Longshoremen and stevedores"   
	761         "Lumbermen, raftsmen, and woodchoppers"
	762         "Stockhandlers"                 
	763         "Teamsters"                     
	764         "Vehicle washers and equipment cleaners"
	770         "Warehousemen, n.e.c."          
	780         "Miscellaneous laborers"        
	785         "Not specified laborers"        
	796         "Laborers, except farm--allocated"
	801         "Farmers (owners and tenants)"  
	802         "Farm managers"                 
	806         "Farmers and farm managers--allocated"
	821         "Farm foremen"                  
	822         "Farm laborers, wage workers"   
	823         "Farm laborers, unpaid family workers"
	824         "Farm service laborers, self-employed"
	846         "Farm laborers and farm foremen--allocated"
	901         "Chambermaids and maids, except private household"
	902         "Cleaners and charwomen"        
	903         "Janitors and sextons"          
	910         "Bartenders"                    
	911         "Busboys"                       
	912         "Cooks, except private household"
	913         "Dishwashers"                   
	914         "Food counter and fountain workers"
	915         "Waiters"                       
	916         "Food service workers, n.e.c., except private household"
	921         "Dental assistants"             
	922         "Health aides, exc. nursing"    
	923         "Health trainees"               
	924         "Lay midwives"                  
	925         "Nursing aides, orderlies, and attendants"
	926         "Practical nurses"              
	931         "Airline stewardesses"          
	932         "Attendants, recreation and amusement"
	933         "Attendants, personal service, n.e.c."
	934         "Baggage porters and bellhops"  
	935         "Barbers"                       
	940         "Boarding and lodginghouse keepers"
	941         "Bootblacks"                    
	942         "Child care workers, exc. private household"
	943         "Elevator operators"            
	944         "Hairdressers and cosmetologists"
	945         "Personal service apprentices"  
	950         "Housekeepers, exc. private household"
	952         "School monitors"               
	953         "Ushers, recreation and amusement"
	954         "Welfare service aides"         
	960         "Crossing guards and bridge tenders"
	961         "Firemen, fire protection"      
	962         "Guards and watchmen"           
	963         "Marshals and constables"       
	964         "Policemen and detectives"      
	965         "Sheriffs and bailiffs"         
	976         "Service workers, exc. private household--allocated"
	980         "Child care workers, private household"
	981         "Cooks, private household"      
	982         "Housekeepers, private household"
	983         "Laundresses, private household"
	984         "Maids and servants, private household"
	986         "Private household workers--allocated"
	991         "Unemployed persons, last worked 1959 or earlier *"
	995         "Occupation not reported **"    
;
